export default class UniformCodes {
  Codes = {
    "SBQ_FDC": {
      "UP82_2": {

        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI065",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI007",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rpm"
              },
              {
                "name": "转子转速",
                "num": "4",
                "code": "AI014",
                "unit": "rpm"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI034",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "U1项绕组电压",
                "num": "1",
                "code": "AI058",
                "unit": "V"
              },
              {
                "name": "U1项绕组电流",
                "num": "2",
                "code": "AI061",
                "unit": "A"
              },
              {
                "name": "电网无功功率",
                "num": "3",
                "code": "AI066",
                "unit": "kw"
              },
              {
                "name": "功率因数",
                "num": "4",
                "code": "AI067"
              },
              {
                "name": "频率",
                "num": "5",
                "code": "AI068",
                "unit": "Hz"
              },
              {
                "name": "总发电量",
                "num": "6",
                "code": "AI064",
                "unit": "万度"
              },
              { "num": "7" },
              { "num": "8" }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "电机轴承A温度",
                "num": "4",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "电机轴承B温度",
                "num": "5",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "机舱温度",
                "num": "6",
                "code": "AI057",
                "unit": "℃"
              },
              {
                "name": "液压油温度",
                "num": "7",
                "code": "AI020",
                "unit": "℃"
              },
              {
                "name": "冷却风温度",
                "num": "8",
                "code": "AI054",
                "unit": "℃"
              },
              {
                "name": "环境温度",
                "num": "9",
                "code": "AI056",
                "unit": "℃"
              },
              {
                "name": "电机滑环温度",
                "num": "10",
                "code": "AI055",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI087",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [
              {
                "name": "总发电量",
                "num": "3",
                "code": "AI064",
                "unit": "度"
              }
            ]
          }
        ],

        "AlternatorInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "加热器保护",
                "num": "1",
                "value": "DI839"
              },
              {
                "name": "启动发电机加热器",
                "num": "2",
                "value": "DI827"
              },
              {
                "name": "电刷磨损",
                "num": "3",
                "value": "DI829"
              },
              {
                "name": "转子锁定",
                "num": "4",
                "value": "DI006"
              },
              {
                "name": "润滑油泵液位OK",
                "num": "5",
                "value": "DI828"
              },
              {
                "name": "空冷风扇保护1正常",
                "num": "6",
                "value": "DI250"
              },
              {
                "name": "安全系统紧急停机",
                "num": "7",
                "value": "DI846"
              },
              {
                "name": "液压站类总故障",
                "num": "8",
                "value": "DI212"
              },
              {
                "name": "变流器类总故障",
                "num": "9",
                "value": "DI144"
              },
              {
                "name": "主轴类总故障",
                "num": "10",
                "value": "DI375"
              },
              {
                "name": "绕组温度超限故障",
                "num": "11",
                "value": "DI237"
              },
              {
                "name": "发电机总故障",
                "num": "12",
                "value": "DI236"
              },
              { "num": "13" }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "U1绕组温度",
                "num": "1",
                "value": "AI045",
                "unit": "℃"
              },
              {
                "name": "V1绕组温度",
                "num": "2",
                "value": "AI047",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "3",
                "value": "AI049",
                "unit": "℃"
              },
              {
                "name": "发电机滑环温度",
                "num": "4",
                "value": "AI055",
                "unit": "℃"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "value": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "value": "AI053",
                "unit": "℃"
              }
            ]
          }
        ],

        "GearBoxInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "油位OK",
                "num": "1",
                "value": "DI081"
              },
              {
                "name": "润滑油压力OK",
                "num": "2",
                "value": "DI082"
              },
              {
                "name": "齿轮箱冷却水压ok",
                "num": "3",
                "value": "DI089"
              },
              {
                "name": "齿轮箱油加热保护ok",
                "num": "4",
                "value": "DI839"
              },
              {
                "name": "润滑油滤网压差OK",
                "num": "5",
                "value": "DI087"
              },
              {
                "name": "润滑油温度高",
                "num": "6",
                "value": "DI838"
              },
              {
                "name": "润滑泵电机保护ok",
                "num": "7",
                "value": "DI834"
              },
              {
                "name": "润滑油加热保护ok",
                "num": "8",
                "value": "DI835"
              },
              {
                "name": "齿轮箱侧温度超限",
                "num": "9",
                "value": "DI376"
              },
              {
                "name": "主轴转子侧温度超限",
                "num": "10",
                "value": "DI377"
              },
              {
                "name": "齿轮箱类总故障",
                "num": "11",
                "value": "DI260"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "润滑油入口压力",
                "num": "1",
                "value": "AI043",
                "unit": "bar"
              },
              {
                "name": "润滑油出口压力",
                "num": "2",
                "value": "AI044",
                "unit": "bar"
              },
              {
                "name": "齿轮箱轴1温度",
                "num": "3",
                "value": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "4",
                "value": "AI039",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "5",
                "value": "AI040",
                "unit": "℃"
              }
            ]
          }
        ],

        "ChangePaddleInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "变桨1安全链动作",
                "num": "1",
                "value": "DI785"
              },
              {
                "name": "变桨2安全链动作",
                "num": "2",
                "value": "DI786"
              },
              {
                "name": "变桨3安全链动作",
                "num": "3",
                "value": "DI787"
              },
              {
                "name": "变桨1电容电压过低",
                "num": "4",
                "value": "DI794"
              },
              {
                "name": "变桨2电容电压过低",
                "num": "5",
                "value": "DI795"
              },
              {
                "name": "变桨3电容电压过低",
                "num": "6",
                "value": "DI796"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "桨距角1",
                "num": "1",
                "value": "AI248",
                "unit": "度"
              },
              {
                "name": "桨距角2",
                "num": "2",
                "value": "AI249",
                "unit": "度"
              },
              {
                "name": "桨距角3",
                "num": "3",
                "value": "AI250",
                "unit": "度"
              },
              {
                "name": "变桨目标位置1",
                "num": "4",
                "value": "AI073",
                "unit": "度"
              },
              {
                "name": "变桨目标位置2",
                "num": "5",
                "value": "AI074",
                "unit": "度"
              },
              {
                "name": "变桨目标位置3",
                "num": "6",
                "value": "AI075",
                "unit": "度"
              },
              {
                "name": "变桨1轴箱温度",
                "num": "7",
                "value": "AI107",
                "unit": "℃"
              },
              {
                "name": "变桨2轴箱温度",
                "num": "8",
                "value": "AI108",
                "unit": "℃"
              },
              {
                "name": "变桨3轴箱温度",
                "num": "9",
                "value": "AI109",
                "unit": "℃"
              },
              {
                "name": "变桨电容电压1",
                "num": "10",
                "value": "AI236",
                "unit": "V"
              },
              {
                "name": "变桨电容电压2",
                "num": "11",
                "value": "AI237",
                "unit": "V"
              },
              {
                "name": "变桨电容电压3",
                "num": "12",
                "value": "AI283",
                "unit": "V"
              }
            ]
          }
        ],

        "YawInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              {
                "name": "左极限位置",
                "num": "1",
                "value": "DI110"
              },
              {
                "name": "右极限位置",
                "num": "2",
                "value": "DI111"
              },
              {
                "name": "软启动正常",
                "num": "3",
                "value": "DI109"
              },
              {
                "name": "左偏航动作",
                "num": "4",
                "value": "DI112"
              },
              {
                "name": "右偏航动作",
                "num": "5",
                "value": "DI113"
              },
              {
                "name": "偏航电刹车打开",
                "num": "6",
                "value": "DI857"
              },
              {
                "name": "软启动器动作",
                "num": "7",
                "value": "DI121"
              },
              {
                "name": "软启动器使能",
                "num": "8",
                "value": "DI120"
              },
              {
                "name": "偏航编码器置零",
                "num": "9",
                "value": "DI860"
              },
              {
                "name": "解缆动作",
                "num": "10",
                "value": "DI012"
              },
              {
                "name": "偏航传感器mtok",
                "num": "11",
                "value": "DI858"
              },
              {
                "name": "偏航传感器OK",
                "num": "12",
                "value": "DI859"
              },
              {
                "name": "润滑泵轴承保护OK",
                "num": "13",
                "value": "DI861"
              },
              {
                "name": "轴承润滑液位OK",
                "num": "14",
                "value": "DI853"
              }
            ]
          },
          {
            "index": "part2",
            "text": "状态信息",
            "param": [
              {
                "name": "电机1保护OK",
                "num": "1",
                "value": "DI854"
              },
              {
                "name": "电机2保护OK",
                "num": "2",
                "value": "DI855"
              },
              {
                "name": "电机3保护OK",
                "num": "3",
                "value": "DI856"
              },
              {
                "name": "电机4保护OK",
                "num": "4",
                "value": "DI862"
              }
            ]
          },
          {
            "index": "part3",
            "text": "数值信息",
            "param": [
              {
                "name": "对风偏差",
                "num": "1",
                "value": "AI036",
                "unit": "度"
              },
              {
                "name": "对风偏差角度限值",
                "num": "2",
                "value": "AI144",
                "unit": "度"
              },
              {
                "name": "偏航位置",
                "num": "3",
                "value": "AI034",
                "unit": "度"
              },
              {
                "name": "偏航速度",
                "num": "4",
                "value": "AI300",
                "unit": "度"
              }
            ]
          }
        ],

        "PressureInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "液压油液位ok",
                "num": "1",
                "value": "DI129"
              },
              {
                "name": "液压油温度超限",
                "num": "2",
                "value": "DI863"
              },
              {
                "name": "叶轮刹车液压ok",
                "num": "3",
                "value": "DI130"
              },
              {
                "name": "液压泵电机保护",
                "num": "4",
                "value": "DI131"
              },
              {
                "name": "液压油加热器保护",
                "num": "5",
                "value": "DI132"
              },
              {
                "name": "液压泵电机反馈",
                "num": "6",
                "value": "DI133"
              },
              {
                "name": "液压站类总故障",
                "num": "7",
                "value": "DI212"
              },
              { "num": "8" },
              { "num": "9" },
              { "num": "10" },
              { "num": "11" },
              { "num": "12" },
              { "num": "13" }
            ]
          },
          {
            "index": "part2",
            "text": "电网信息",
            "param": [
              {
                "name": "主系统液压",
                "num": "1",
                "value": "AI018",
                "unit": "bar"
              },
              {
                "name": "转子刹车系统液压",
                "num": "2",
                "value": "AI019",
                "unit": "bar"
              }
            ]
          }
        ],

        "RoomInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              {
                "name": "机舱柜内温度过高",
                "num": "1",
                "value": "DI313"
              },
              {
                "name": "塔底柜内温度过高",
                "num": "2",
                "value": "DI312"
              },
              {
                "name": "转子锁定",
                "num": "3",
                "value": "DI006"
              },
              {
                "name": "转子刹车打开",
                "num": "4",
                "value": "DI009"
              },
              {
                "name": "需要解缆",
                "num": "5",
                "value": "DI011"
              },
              {
                "name": "禁止偏航",
                "num": "6",
                "value": "DI060"
              },
              {
                "name": "塔底柜急停",
                "num": "7",
                "value": "DI847"
              },
              {
                "name": "机舱柜急停",
                "num": "8",
                "value": "DI099"
              },
              {
                "name": "机顶操作面板紧急停机",
                "num": "9",
                "value": "DI848"
              },
              { "num": "10" }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "机舱温度",
                "num": "1",
                "value": "AI057",
                "unit": "℃"
              },
              {
                "name": "机舱外温度",
                "num": "2",
                "value": "AI056",
                "unit": "℃"
              },
              {
                "name": "叶片1角度",
                "num": "3",
                "value": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2角度",
                "num": "4",
                "value": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3角度",
                "num": "5",
                "value": "AI087",
                "unit": "度"
              },
              {
                "name": "风速",
                "num": "6",
                "value": "AI005",
                "unit": "m/s"
              },
              {
                "name": "功率",
                "num": "7",
                "value": "AI065",
                "unit": "kwh"
              },
              {
                "name": "机舱位置",
                "num": "8",
                "value": "AI034",
                "unit": "度"
              },
              {
                "name": "发电机转速",
                "num": "9",
                "value": "AI128",
                "unit": "rmp"
              }
            ]
          }
        ],

        "OutIn": [
          {
            "index": "part1",
            "text": "叶轮装置",
            "param": [
              {
                "name": "叶片1偏角",
                "plcName": "blade1_angle",
                "value": "AI085"
              },
              {
                "name": "叶片2偏角",
                "plcName": "blade2_angle",
                "value": "AI086"
              },
              {
                "name": "叶片3偏角",
                "plcName": "blade3_angle",
                "value": "AI087"
              }
            ]
          },
          {
            "index": "part2",
            "text": "发电机",
            "param": [
              {
                "name": "U1绕组温度",
                "plcName": "u1_circling_temperature",
                "value": "AI045"
              },
              {
                "name": "U2绕组温度",
                "plcName": "u2_circling_temperature",
                "value": "AI046"
              }
            ]
          }
        ],

        "Fault": [
          {
            "index": "part1",
            "text": "发电机类故障",
            "param": [
              {
                "name": "变流器类总故障",
                "plcName": "plcName",
                "value": "DI144"
              },
              {
                "name": "发电机总故障",
                "plcName": "plcName",
                "value": "DI236"
              },
              {
                "name": "发电机绕组温度超限类故障",
                "plcName": "plcName",
                "value": "DI237"
              },
              {
                "name": "主轴类总故障",
                "plcName": "plcName",
                "value": "DI375"
              },
              {
                "name": "转子转速类总故障",
                "plcName": "plcName",
                "value": "DI380"
              }
            ]
          },
          {
            "index": "part2",
            "text": "电网类故障",
            "param": [
              {
                "name": "电网类总故障",
                "plcName": "plcName",
                "value": "DI279"
              },
              {
                "name": "电网电压故障",
                "plcName": "plcName",
                "value": "DI280"
              },
              {
                "name": "电网电流类故障",
                "plcName": "plcName",
                "value": "DI290"
              },
              {
                "name": "电网频率类故障",
                "plcName": "plcName",
                "value": "DI296"
              },
              {
                "name": "电网功率类故障",
                "plcName": "plcName",
                "value": "DI305"
              },
              {
                "name": "电网无功类故障",
                "plcName": "plcName",
                "value": "DI309"
              }
            ]
          }
        ]

      },

      "UP97": {
        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI130",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI007",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rpm"
              },
              {
                "name": "转子转速",
                "num": "4",
                "code": "AI014",
                "unit": "rpm"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI034",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "U1项绕组电压",
                "num": "1",
                "code": "AI058",
                "unit": "V"
              },
              {
                "name": "U1项绕组电流",
                "num": "2",
                "code": "AI061",
                "unit": "A"
              },
              {
                "name": "频率",
                "num": "3",
                "code": "AI068",
                "unit": "Hz"
              },
              {
                "name": "功率因数",
                "num": "4",
                "code": "AI067"
              },
              {
                "name": "电网功率",
                "num": "5",
                "code": "AI065",
                "unit": "kw"
              },
              {
                "name": "电网无功功率",
                "num": "6",
                "code": "AI066",
                "unit": "kw"
              },
              {
                "name": "总发电量",
                "num": "7",
                "code": "AI064",
                "unit": "万度"
              },
              { "num": "8" }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "电机轴承A温度",
                "num": "4",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "电机轴承B温度",
                "num": "5",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "机舱温度",
                "num": "6",
                "code": "AI057",
                "unit": "℃"
              },
              {
                "name": "液压油温度",
                "num": "7",
                "code": "AI020",
                "unit": "℃"
              },
              {
                "name": "发电机冷却风温度",
                "num": "8",
                "code": "AI054",
                "unit": "℃"
              },
              {
                "name": "环境温度",
                "num": "9",
                "code": "AI056",
                "unit": "℃"
              },
              {
                "name": "发电机滑环温度",
                "num": "10",
                "code": "AI055",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI087",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [
              {
                "name": "总发电量",
                "num": "3",
                "code": "AI064",
                "unit": "度"
              }
            ]
          }
        ],

        "AlternatorInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "加热器保护",
                "num": "1",
                "value": "DI066"
              },
              {
                "name": "启动发电机加热器",
                "num": "2",
                "value": "DI827"
              },
              {
                "name": "电刷磨损",
                "num": "3",
                "value": "DI829"
              },
              {
                "name": "启动空冷风扇1",
                "num": "4",
                "value": "DI075"
              },
              {
                "name": "启动空冷风扇2",
                "num": "5",
                "value": "DI076"
              },
              {
                "name": "空冷风扇保护1",
                "num": "6",
                "value": "DI068"
              },
              {
                "name": "空冷风扇保护2",
                "num": "7",
                "value": "DI069"
              },
              {
                "name": "润滑油温度高",
                "num": "8",
                "value": "DI838"
              },
              {
                "name": "水冷压力OK",
                "num": "9",
                "value": "DI071"
              },
              {
                "name": "轴承润滑油位OK",
                "num": "10",
                "value": "DI828"
              },
              {
                "name": "启动冷却水泵",
                "num": "11",
                "value": "DI093"
              },
              {
                "name": "启动电机润滑油泵",
                "num": "12",
                "value": "DI080"
              },
              { "num": "13" }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "U1绕组温度",
                "num": "1",
                "value": "AI045",
                "unit": "℃"
              },
              {
                "name": "V1绕组温度",
                "num": "2",
                "value": "AI047",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "3",
                "value": "AI049",
                "unit": "℃"
              },
              {
                "name": "发电机滑环温度",
                "num": "4",
                "value": "AI055"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "value": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "value": "AI053",
                "unit": "℃"
              }
            ]
          }
        ],

        "GearBoxInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "油位OK",
                "num": "1",
                "value": "DI828"
              },
              {
                "name": "润滑油压力OK",
                "num": "2",
                "value": "DI082"
              },
              {
                "name": "齿轮箱冷却水压ok",
                "num": "3",
                "value": "DI071"
              },
              {
                "name": "齿轮箱油加热保护ok",
                "num": "4",
                "value": "DI090"
              },
              {
                "name": "润滑油滤网压差OK",
                "num": "5",
                "value": "DI087"
              },
              {
                "name": "润滑油温度高",
                "num": "6",
                "value": "DI838"
              },
              {
                "name": "润滑泵电机保护ok",
                "num": "7",
                "value": "DI834"
              },
              {
                "name": "润滑油加热保护ok",
                "num": "8",
                "value": "DI835"
              },
              {
                "name": "润滑油泵高速轴a",
                "num": "9",
                "value": "DI095"
              },
              {
                "name": "润滑油泵高速轴b",
                "num": "10",
                "value": "DI096"
              },
              {
                "name": "齿轮箱类总故障",
                "num": "11",
                "value": "DI260"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "润滑油滤网入口压力",
                "num": "1",
                "value": "AI043",
                "unit": "bar"
              },
              {
                "name": "润滑油滤网出口压力",
                "num": "2",
                "value": "AI044",
                "unit": "bar"
              },
              {
                "name": "齿轮箱轴1温度",
                "num": "3",
                "value": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "4",
                "value": "AI039",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "5",
                "value": "AI040",
                "unit": "℃"
              }
            ]
          }
        ],

        "ChangePaddleInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "变桨1安全链动作",
                "num": "1",
                "value": "DI785"
              },
              {
                "name": "变桨2安全链动作",
                "num": "2",
                "value": "DI786"
              },
              {
                "name": "变桨3安全链动作",
                "num": "3",
                "value": "DI787"
              },
              {
                "name": "变桨1电容电压过低",
                "num": "4",
                "value": "DI794"
              },
              {
                "name": "变桨2电容电压过低",
                "num": "5",
                "value": "DI795"
              },
              {
                "name": "变桨3电容电压过低",
                "num": "6",
                "value": "DI796"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "叶片1位置",
                "num": "1",
                "value": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2位置",
                "num": "2",
                "value": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3位置",
                "num": "3",
                "value": "AI087",
                "unit": "度"
              },
              {
                "name": "变桨目标位置1",
                "num": "4",
                "value": "AI305",
                "unit": "度"
              },
              {
                "name": "变桨目标位置2",
                "num": "5",
                "value": "AI306",
                "unit": "度"
              },
              {
                "name": "变桨目标位置3",
                "num": "6",
                "value": "AI307",
                "unit": "度"
              },
              {
                "name": "变桨1轴箱温度",
                "num": "7",
                "value": "AI107",
                "unit": "℃"
              },
              {
                "name": "变桨2轴箱温度",
                "num": "8",
                "value": "AI108",
                "unit": "℃"
              },
              {
                "name": "变桨3轴箱温度",
                "num": "9",
                "value": "AI109",
                "unit": "℃"
              },
              {
                "name": "主轴叶轮侧温度",
                "num": "10",
                "value": "AI071",
                "unit": "℃"
              },
              {
                "name": "叶轮转速给定",
                "num": "11",
                "value": "AI134",
                "unit": "rmp"
              },
              {
                "name": "桨距角给定值",
                "num": "12",
                "value": "AI121",
                "unit": "度"
              }
            ]
          }
        ],

        "YawInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              {
                "name": "左极限位置",
                "num": "1",
                "value": "DI110"
              },
              {
                "name": "右极限位置",
                "num": "2",
                "value": "DI111"
              },
              {
                "name": "软启动正常",
                "num": "3",
                "value": "DI109"
              },
              {
                "name": "左偏航动作",
                "num": "4",
                "value": "DI112"
              },
              {
                "name": "右偏航动作",
                "num": "5",
                "value": "DI113"
              },
              {
                "name": "需要解缆",
                "num": "6",
                "value": "DI011"
              },
              {
                "name": "软启动器动作",
                "num": "7",
                "value": "DI121"
              },
              {
                "name": "软启动器使能",
                "num": "8",
                "value": "DI120"
              },
              {
                "name": "偏航编码器置零",
                "num": "9",
                "value": "DI117"
              },
              {
                "name": "解缆动作",
                "num": "10",
                "value": "DI012"
              },
              {
                "name": "偏航传感器mtok",
                "num": "11",
                "value": "DI115"
              },
              {
                "name": "偏航传感器OK",
                "num": "12",
                "value": "DI116"
              },
              {
                "name": "润滑泵轴承保护OK",
                "num": "13",
                "value": "DI861"
              },
              {
                "name": "轴承润滑液位OK",
                "num": "14",
                "value": "DI853"
              }
            ]
          },
          {
            "index": "part2",
            "text": "状态信息",
            "param": [
              {
                "name": "电机1保护OK",
                "num": "1",
                "value": "DI854"
              },
              {
                "name": "电机2保护OK",
                "num": "2",
                "value": "DI855"
              },
              {
                "name": "电机3保护OK",
                "num": "3",
                "value": "DI856"
              },
              {
                "name": "电机4保护OK",
                "num": "4",
                "value": "DI862"
              }
            ]
          },
          {
            "index": "part3",
            "text": "数值信息",
            "param": [
              {
                "name": "对风偏差",
                "num": "1",
                "value": "AI036",
                "unit": "度"
              },
              {
                "name": "风速",
                "num": "2",
                "value": "AI007",
                "unit": "m/s"
              },
              {
                "name": "偏航位置",
                "num": "3",
                "value": "AI034",
                "unit": "度"
              },
              {
                "name": "偏航速度",
                "num": "4",
                "value": "AI035",
                "unit": "m/s"
              }
            ]
          }
        ],

        "PressureInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "液压油液位ok",
                "num": "1",
                "value": "DI129"
              },
              {
                "name": "液压油温度超限",
                "num": "2",
                "value": "DI123"
              },
              {
                "name": "叶轮刹车液压ok",
                "num": "3",
                "value": "DI130"
              },
              {
                "name": "液压泵电机保护",
                "num": "4",
                "value": "DI131"
              },
              {
                "name": "液压油加热器保护",
                "num": "5",
                "value": "DI132"
              },
              {
                "name": "液压站类总故障",
                "num": "6",
                "value": "DI212"
              },
              {
                "name": "齿轮箱油加热保护ok",
                "num": "7",
                "value": "DI090"
              },
              {
                "name": "润滑油滤网压差OK",
                "num": "8",
                "value": "DI087"
              },
              {
                "name": "润滑油温度高",
                "num": "9",
                "value": "DI838"
              },
              {
                "name": "润滑泵电机保护ok",
                "num": "10",
                "value": "DI834"
              },
              {
                "name": "润滑油加热保护ok",
                "num": "11",
                "value": "DI835"
              },
              {
                "name": "润滑油泵高速轴a",
                "num": "12",
                "value": "DI095"
              },
              {
                "name": "润滑油泵高速轴b",
                "num": "13",
                "value": "DI096"
              }
            ]
          },
          {
            "index": "part2",
            "text": "电网信息",
            "param": [
              {
                "name": "主系统液压",
                "num": "1",
                "value": "AI018",
                "unit": "bar"
              },
              {
                "name": "转子刹车系统液压",
                "num": "2",
                "value": "AI019",
                "unit": "bar"
              }
            ]
          }
        ],

        "RoomInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              {
                "name": "机舱超速紧急停机",
                "num": "1",
                "value": "DI850"
              },
              {
                "name": "机舱振动紧急停机",
                "num": "2",
                "value": "DI851"
              },
              {
                "name": "机舱扭缆紧急停机",
                "num": "3",
                "value": "DI852"
              },
              {
                "name": "转子刹车打开",
                "num": "4",
                "value": "DI009"
              },
              {
                "name": "需要解缆",
                "num": "5",
                "value": "DI011"
              },
              {
                "name": "塔底紧急停机开关",
                "num": "6",
                "value": "DI847"
              },
              {
                "name": "机顶柜紧急停机开关",
                "num": "7",
                "value": "DI099"
              },
              {
                "name": "机顶面板停机指示灯",
                "num": "8",
                "value": "DI100"
              },
              {
                "name": "控制柜温度报警",
                "num": "9",
                "value": "DI1017"
              },
              {
                "name": "机舱振动超限报警",
                "num": "10",
                "value": "DI1021"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "机舱温度",
                "num": "1",
                "value": "AI057"
              },
              {
                "name": "机舱外温度",
                "num": "2",
                "value": "AI056"
              },
              {
                "name": "叶片1角度",
                "num": "3",
                "value": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2角度",
                "num": "4",
                "value": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3角度",
                "num": "5",
                "value": "AI087",
                "unit": "度"
              },
              {
                "name": "风速",
                "num": "6",
                "value": "AI007",
                "unit": "m/s"
              },
              {
                "name": "功率",
                "num": "7",
                "value": "AI065",
                "unit": "kwh"
              },
              {
                "name": "机舱位置",
                "num": "8",
                "value": "AI034",
                "unit": "度"
              },
              {
                "name": "发电机转速",
                "num": "9",
                "value": "AI128",
                "unit": "rmp"
              }
            ]
          }
        ],

        "OutIn": [
          {
            "index": "part1",
            "text": "叶轮装置",
            "param": [
              {
                "name": "叶片1偏角",
                "plcName": "blade1_angle",
                "value": "AI085"
              },
              {
                "name": "叶片2偏角",
                "plcName": "blade2_angle",
                "value": "AI086"
              },
              {
                "name": "叶片3偏角",
                "plcName": "blade3_angle",
                "value": "AI087"
              }
            ]
          },
          {
            "index": "part2",
            "text": "发电机",
            "param": [
              {
                "name": "U1绕组温度",
                "plcName": "u1_circling_temperature",
                "value": "AI045"
              },
              {
                "name": "U2绕组温度",
                "plcName": "u2_circling_temperature",
                "value": "AI046"
              }
            ]
          }
        ],

        "Fault": {
          "index": "part1",
          "text": "总故障",
          "param": [
            {
              "name": "发电机总故障",
              "plcName": "plcName",
              "value": "DI236"
            },
            {
              "name": "齿轮箱类总故障",
              "plcName": "plcName",
              "value": "DI260"
            },
            {
              "name": "变压器类总故障",
              "plcName": "plcName",
              "value": "DI277"
            },
            {
              "name": "电网类总故障",
              "plcName": "plcName",
              "value": "DI279"
            },
            {
              "name": "液压站类总故障",
              "plcName": "plcName",
              "value": "DI212"
            },
            {
              "name": "偏航类总故障",
              "plcName": "plcName",
              "value": "DI222"
            },
            {
              "name": "叶轮刹车类总故障",
              "plcName": "plcName",
              "value": "DI208"
            },
            {
              "name": "主轴类总故障",
              "plcName": "plcName",
              "value": "DI375"
            },
            {
              "name": "控制器总故障",
              "plcName": "plcName",
              "value": "DI1011"
            }
          ]
        }
      },

      "UP105-2000-S": {
        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI130",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI022",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rpm"
              },
              {
                "name": "叶轮转速",
                "num": "4",
                "code": "AI012",
                "unit": "rpm"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI034",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "Ipr线电流1",
                "num": "1",
                "code": "AI267",
                "unit": "A"
              },
              {
                "name": "IprL1L2中性点电压",
                "num": "2",
                "code": "AI274",
                "unit": "V"
              },
              {
                "name": "Ipr无功功率",
                "num": "3",
                "code": "AI131"
              },
              {
                "name": "有功控制给定值",
                "num": "4",
                "code": "AI426"
              },
              {
                "name": "功率因数",
                "num": "5",
                "code": "AI067"
              },
              {
                "name": "Ipr频率",
                "num": "6",
                "code": "AI068",
                "unit": "Hz"
              },
              {
                "name": "发无功总量",
                "num": "7",
                "code": "AI198",
                "unit": "万度"
              },
              {
                "name": "总发电量",
                "num": "8",
                "code": "AI064",
                "unit": "万度"
              }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "齿轮箱输入轴温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱输出轴温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油槽温度",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "电机轴承A温度",
                "num": "4",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "电机轴承B温度",
                "num": "5",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "机舱柜内温度",
                "num": "6",
                "code": "AI070",
                "unit": "℃"
              },
              {
                "name": "齿箱侧转子轴承温度",
                "num": "7",
                "code": "AI071",
                "unit": "℃"
              },
              {
                "name": "发电机空冷温度",
                "num": "8",
                "code": "AI042",
                "unit": "℃"
              },
              {
                "name": "环境温度",
                "num": "9",
                "code": "AI057",
                "unit": "℃"
              },
              {
                "name": "电机侧转子轴承温度",
                "num": "10",
                "code": "AI072",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI002",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI003",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI004",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [
              {
                "name": "总发电量",
                "num": "3",
                "code": "AI064",
                "unit": "度"
              }
            ]
          }
        ],

        "AlternatorInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "加热器保护",
                "num": "1",
                "value": "DI1163"
              },
              {
                "name": "发电机绕组温度低",
                "num": "2",
                "value": "DI1162"
              },
              {
                "name": "电刷磨损",
                "num": "3",
                "value": "DI1161"
              },
              {
                "name": "Pcs转子电流过载",
                "num": "4",
                "value": "DI1257"
              },
              {
                "name": "Pcs定子电流过载",
                "num": "5",
                "value": "DI1258"
              },
              {
                "name": "Pcs超速",
                "num": "6",
                "value": "DI1261"
              },
              {
                "name": "空冷风扇保护1",
                "num": "7",
                "value": "DI1159"
              },
              {
                "name": "空冷风扇保护2",
                "num": "8",
                "value": "DI1160"
              },
              {
                "name": "主轴接地碳刷正常",
                "num": "9",
                "value": "DI1577"
              },
              {
                "name": "Pcs转矩限制",
                "num": "10",
                "value": "DI1272"
              },
              {
                "name": "Pcs跳闸",
                "num": "11",
                "value": "DI1274"
              },
              {
                "name": "Pcs低速",
                "num": "12",
                "value": "DI1277"
              },
              {
                "name": "发电机柜防雷保护",
                "num": "13",
                "value": "DI1579"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "U1绕组温度",
                "num": "1",
                "value": "AI045",
                "unit": "℃"
              },
              {
                "name": "V1绕组温度",
                "num": "2",
                "value": "AI047",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "3",
                "value": "AI049",
                "unit": "℃"
              },
              {
                "name": "发电机空冷温度",
                "num": "4",
                "value": "AI042",
                "unit": "℃"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "value": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "value": "AI053",
                "unit": "℃"
              }
            ]
          }
        ],

        "GearBoxInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "油位OK",
                "num": "1",
                "value": "DI1541"
              },
              {
                "name": "润滑油压力OK",
                "num": "2",
                "value": "DI1542"
              },
              {
                "name": "发电机冷却风扇保护",
                "num": "3",
                "value": "DI1546"
              },
              {
                "name": "齿轮箱油加热保护ok",
                "num": "4",
                "value": "DI1544"
              },
              {
                "name": "滤网压力正常",
                "num": "5",
                "value": "DI1540"
              },
              {
                "name": "润滑油温度高",
                "num": "6",
                "value": "DI1141"
              },
              {
                "name": "润滑泵电机保护ok",
                "num": "7",
                "value": "DI1543"
              },
              {
                "name": "润滑油加热保护ok",
                "num": "8",
                "value": "DI1545"
              },
              {
                "name": "润滑油滤网压力超范",
                "num": "9",
                "value": "DI1149"
              },
              {
                "name": "换热风扇加热带保护",
                "num": "10",
                "value": "DI1538"
              },
              {
                "name": "润滑油加热器保护",
                "num": "11",
                "value": "DI1145"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "润滑油滤网入口压力",
                "num": "1",
                "value": "AI203",
                "unit": "bar"
              },
              {
                "name": "齿轮箱油槽温度",
                "num": "2",
                "value": "AI041",
                "unit": "℃"
              },
              {
                "name": "齿轮箱输入轴温度",
                "num": "3",
                "value": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱输出轴温度",
                "num": "4",
                "value": "AI039",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "5",
                "value": "AI160",
                "unit": "℃"
              }
            ]
          }
        ],

        "ChangePaddleInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "变桨1安全链动作",
                "num": "1",
                "value": "DI1738"
              },
              {
                "name": "变桨2安全链动作",
                "num": "2",
                "value": "DI1739"
              },
              {
                "name": "变桨3安全链动作",
                "num": "3",
                "value": "DI1740"
              },
              {
                "name": "变桨1电容电压过低",
                "num": "4",
                "value": "DI1325"
              },
              {
                "name": "变桨2电容电压过低",
                "num": "5",
                "value": "DI1326"
              },
              {
                "name": "变桨3电容电压过低",
                "num": "6",
                "value": "DI1327"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "叶轮转速",
                "num": "1",
                "value": "AI012"
              },
              {
                "name": "机舱纵向振动加速度",
                "num": "2",
                "value": "AI321"
              },
              {
                "name": "机舱侧面振动加速度",
                "num": "3",
                "value": "AI322"
              },
              {
                "name": "变桨目标位置1",
                "num": "4",
                "value": "AI002"
              },
              {
                "name": "变桨目标位置2",
                "num": "5",
                "value": "AI003"
              },
              {
                "name": "变桨目标位置3",
                "num": "6",
                "value": "AI004"
              },
              {
                "name": "变桨1轴箱温度",
                "num": "7",
                "value": "AI288",
                "unit": "℃"
              },
              {
                "name": "变桨2轴箱温度",
                "num": "8",
                "value": "AI289",
                "unit": "℃"
              },
              {
                "name": "变桨3轴箱温度",
                "num": "9",
                "value": "AI290",
                "unit": "℃"
              },
              {
                "name": "变桨电容电压1",
                "num": "10",
                "value": "AI294",
                "unit": "V"
              },
              {
                "name": "变桨电容电压2",
                "num": "11",
                "value": "AI295",
                "unit": "V"
              },
              {
                "name": "变桨电容电压3",
                "num": "12",
                "value": "AI296",
                "unit": "V"
              }
            ]
          }
        ],

        "YawInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              {
                "name": "偏航左极限开关反馈",
                "num": "1",
                "value": "DI1110"
              },
              {
                "name": "偏航右极限开关反馈",
                "num": "2",
                "value": "DI1111"
              },
              {
                "name": "偏航动作",
                "num": "3",
                "value": "DI1510"
              },
              {
                "name": "左偏航动作",
                "num": "4",
                "value": "DI1869"
              },
              {
                "name": "右偏航动作",
                "num": "5",
                "value": "DI1870"
              },
              {
                "name": "偏航刹车保护",
                "num": "6",
                "value": "DI1494"
              },
              {
                "name": "软启动器动作",
                "num": "7",
                "value": "DI1875"
              },
              {
                "name": "软启动器使能",
                "num": "8",
                "value": "DI1874"
              },
              {
                "name": "偏航速度过低",
                "num": "9",
                "value": "DI1514"
              },
              {
                "name": "风机在解缆中",
                "num": "10",
                "value": "DI1485"
              },
              {
                "name": "偏航软启动器OK",
                "num": "11",
                "value": "DI1798"
              },
              {
                "name": "左偏航预解缆触发",
                "num": "12",
                "value": "DI1112"
              },
              {
                "name": "右偏航预解缆触发",
                "num": "13",
                "value": "DI1134"
              },
              {
                "name": "偏航接地碳刷报警",
                "num": "14",
                "value": "DI1790"
              }
            ]
          },
          {
            "index": "part2",
            "text": "状态信息",
            "param": [
              {
                "name": "电机1过载保护OK",
                "num": "1",
                "value": "DI1504"
              },
              {
                "name": "电机2过载保护OK",
                "num": "2",
                "value": "DI1505"
              },
              {
                "name": "电机3过载保护OK",
                "num": "3",
                "value": "DI1506"
              },
              {
                "name": "电机4过载保护OK",
                "num": "4",
                "value": "DI1507"
              }
            ]
          },
          {
            "index": "part3",
            "text": "数值信息",
            "param": [
              {
                "name": "风机偏航误差",
                "num": "1",
                "value": "AI357"
              },
              {
                "name": "偏航刹车压力",
                "num": "2",
                "value": "AI323",
                "unit": "bar"
              },
              {
                "name": "解缆状态",
                "num": "3",
                "value": "AI429"
              },
              {
                "name": "风向",
                "num": "4",
                "value": "AI010"
              }
            ]
          }
        ],

        "PressureInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "液压油液位OK",
                "num": "1",
                "value": "DI1556"
              },
              {
                "name": "液压油温度OK",
                "num": "2",
                "value": "DI1555"
              },
              {
                "name": "刹车磨损报警",
                "num": "3",
                "value": "DI1169"
              },
              {
                "name": "液压泵电机保护",
                "num": "4",
                "value": "DI1557"
              },
              {
                "name": "液压油加热器保护",
                "num": "5",
                "value": "DI1554"
              },
              {
                "name": "滤网堵塞报警S2",
                "num": "6",
                "value": "DI1552"
              },
              {
                "name": "滤网堵塞报警S3",
                "num": "7",
                "value": "DI1553"
              },
              { "num": "8" },
              { "num": "9" },
              { "num": "10" },
              { "num": "11" },
              { "num": "12" },
              { "num": "13" }
            ]
          },
          {
            "index": "part2",
            "text": "电网信息",
            "param": [
              {
                "name": "系统主油路压力",
                "num": "1",
                "value": "AI018",
                "unit": "bar"
              },
              {
                "name": "高速轴刹车压力",
                "num": "2",
                "value": "AI019",
                "unit": "bar"
              }
            ]
          }
        ],

        "RoomInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              {
                "name": "机舱加热器保护正常",
                "num": "1",
                "value": "DI1584"
              },
              {
                "name": "防雷模块正常",
                "num": "2",
                "value": "DI1587"
              },
              {
                "name": "机舱浪涌保护超范",
                "num": "3",
                "value": "DI1202"
              },
              {
                "name": "转子刹车打开",
                "num": "4",
                "value": "DI1592"
              },
              {
                "name": "机舱UPS电池正常",
                "num": "5",
                "value": "DI1596"
              },
              {
                "name": "机舱变桨供电超范",
                "num": "6",
                "value": "DI1203"
              },
              {
                "name": "机舱变桨供电OK",
                "num": "7",
                "value": "DI1204"
              },
              {
                "name": "机舱震动X超范",
                "num": "8",
                "value": "DI1205"
              },
              {
                "name": "机舱震动Y超范",
                "num": "9",
                "value": "DI1206"
              },
              {
                "name": "航灯OK保护超范",
                "num": "10",
                "value": "DI1207"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "机舱温度",
                "num": "1",
                "value": "AI070"
              },
              {
                "name": "机舱外温度",
                "num": "2",
                "value": "AI056"
              },
              {
                "name": "叶片1角度",
                "num": "3",
                "value": "AI002",
                "unit": "度"
              },
              {
                "name": "叶片2角度",
                "num": "4",
                "value": "AI003",
                "unit": "度"
              },
              {
                "name": "叶片3角度",
                "num": "5",
                "value": "AI004",
                "unit": "度"
              },
              {
                "name": "风速",
                "num": "6",
                "value": "AI022",
                "unit": "m/s"
              },
              {
                "name": "功率",
                "num": "7",
                "value": "AI130",
                "unit": "kwh"
              },
              {
                "name": "机舱位置",
                "num": "8",
                "value": "AI034",
                "unit": "度"
              },
              {
                "name": "发电机转速",
                "num": "9",
                "value": "AI128",
                "unit": "rmp"
              }
            ]
          }
        ],

        "OutIn": [
          {
            "index": "part1",
            "text": "叶轮装置",
            "param": [
              {
                "name": "叶片1偏角",
                "plcName": "blade1_angle",
                "value": "AI085"
              },
              {
                "name": "叶片2偏角",
                "plcName": "blade2_angle",
                "value": "AI086"
              },
              {
                "name": "叶片3偏角",
                "plcName": "blade3_angle",
                "value": "AI087"
              }
            ]
          },
          {
            "index": "part2",
            "text": "发电机",
            "param": [
              {
                "name": "U1绕组温度",
                "plcName": "u1_circling_temperature",
                "value": "AI045"
              },
              {
                "name": "U2绕组温度",
                "plcName": "u2_circling_temperature",
                "value": "AI046"
              }
            ]
          }
        ],

        "Fault": {
          "index": "part1",
          "text": "总故障",
          "param": [
            {
              "name": "Pcs系统故障",
              "plcName": "plcName",
              "value": "DI1270"
            },
            {
              "name": "变频器故障",
              "plcName": "plcName",
              "value": "DI1537"
            },
            {
              "name": "高速轴刹车磨损故障",
              "plcName": "plcName",
              "value": "DI1550"
            },
            {
              "name": "Pcs断路器故障",
              "plcName": "plcName",
              "value": "DI1253"
            },
            {
              "name": "偏航驱动故障",
              "plcName": "plcName",
              "value": "DI1502"
            }
          ]
        }
      }

    },

    "MHS_FDC": {
      "UP77": {

        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI130",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI007",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rp"
              },
              {
                "name": "转子转速",
                "num": "4",
                "code": "AI017",
                "unit": "rp"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI034",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "U1项绕组电压",
                "num": "1",
                "code": "AI058",
                "unit": "V"
              },
              {
                "name": "U1项绕组电流",
                "num": "2",
                "code": "AI061",
                "unit": "A"
              },
              {
                "name": "U2项绕组电压",
                "num": "3",
                "code": "AI059",
                "unit": "V"
              },
              {
                "name": "U2项绕组电流",
                "num": "4",
                "code": "AI062",
                "unit": "A"
              },
              {
                "name": "U3项绕组电压",
                "num": "5",
                "code": "AI060",
                "unit": "V"
              },
              {
                "name": "U3项绕组电流",
                "num": "6",
                "code": "AI063",
                "unit": "A"
              },
              {
                "name": "功率因数",
                "num": "7",
                "code": "AI067"
              },
              {
                "name": "总发电量",
                "num": "8",
                "code": "AI064",
                "unit": "万度"
              }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "电机轴承A温度",
                "num": "4",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "电机轴承B温度",
                "num": "5",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "机舱温度",
                "num": "6",
                "code": "AI057",
                "unit": "℃"
              },
              {
                "name": "液压油温度",
                "num": "7",
                "code": "AI020",
                "unit": "℃"
              },
              {
                "name": "冷却风温度",
                "num": "8",
                "code": "AI054",
                "unit": "℃"
              },
              {
                "name": "环境温度",
                "code": "AI056",
                "num": "9",
                "unit": "℃"
              },
              {
                "name": "电机温度",
                "num": "10",
                "code": "AI287",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI087",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [
              {
                "name": "总发电量",
                "num": "3",
                "unit": "度"
              }
            ]
          }
        ],

        "AlternatorInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "加热器保护",
                "num": "1",
                "value": "DI132"
              },
              {
                "name": "启动发电机加热器",
                "num": "2",
                "value": "DI827"
              },
              {
                "name": "电刷磨损",
                "num": "3",
                "value": "DI829"
              },
              {
                "name": "启动加热器",
                "num": "4",
                "value": "DI840"
              },
              {
                "name": "启动空冷风扇1",
                "num": "5",
                "value": "DI830"
              },
              {
                "name": "启动空冷风扇2",
                "num": "6",
                "value": "DI831"
              },
              {
                "name": "空冷风扇保护1",
                "num": "7",
                "value": "DI069"
              },
              {
                "name": "空冷风扇保护2",
                "num": "8",
                "value": "DI070"
              },
              {
                "name": "水冷电机泵保护",
                "num": "9",
                "value": "DI274"
              },
              {
                "name": "水冷压力OK",
                "num": "10",
                "value": "DI248"
              },
              {
                "name": "润滑油泵液位OK",
                "num": "11",
                "value": "DI082"
              },
              {
                "name": "启动冷却水泵",
                "num": "12",
                "value": "DI832"
              },
              {
                "name": "启动润滑油泵",
                "num": "13",
                "value": "DI833"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "U1绕组温度",
                "num": "1",
                "value": "AI045",
                "unit": "℃"
              },
              {
                "name": "U2绕组温度",
                "num": "2",
                "value": "AI046",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "3",
                "value": "AI049",
                "unit": "℃"
              },
              {
                "name": "W2绕组温度",
                "num": "4",
                "value": "AI050",
                "unit": "℃"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "value": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "value": "AI053",
                "unit": "℃"
              }
            ]
          }
        ],

        "GearBoxInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "油位OK",
                "num": "1",
                "value": "DI081"
              },
              {
                "name": "润滑油压力OK",
                "num": "2",
                "value": "DI082"
              },
              {
                "name": "润滑油泵电机保护",
                "num": "3",
                "value": "DI834"
              },
              {
                "name": "润滑油加热保护",
                "num": "4",
                "value": "DI835"
              },
              {
                "name": "润滑油滤网压差OK",
                "num": "5",
                "value": "DI087"
              },
              {
                "name": "润滑油温度高",
                "num": "6",
                "value": "DI247"
              },
              {
                "name": "齿轮箱油加热器",
                "num": "7",
                "value": "DI249"
              },
              {
                "name": "启动润滑油加热器",
                "num": "8",
                "value": "DI840"
              },
              {
                "name": "启动润滑油泵高速A",
                "num": "9",
                "value": "DI844"
              },
              {
                "name": "启动润滑油泵高速B",
                "num": "10",
                "value": "DI845"
              },
              {
                "name": "启动油泵加热器",
                "num": "11",
                "value": "DI843"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "润滑油滤网入口压力",
                "num": "1",
                "value": "AI043",
                "unit": "bar"
              },
              {
                "name": "润滑油滤网出口压力",
                "num": "2",
                "value": "AI044",
                "unit": "bar"
              },
              {
                "name": "齿轮箱轴1温度",
                "num": "3",
                "value": "AI052",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "4",
                "value": "AI053",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "5",
                "value": "AI301",
                "unit": "℃"
              }
            ]
          }
        ],

        "ChangePaddleInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "叶片1的91度限位开关",
                "num": "1",
                "value": "DI032"
              },
              {
                "name": "叶片2的91度限位开关",
                "num": "2",
                "value": "DI033"
              },
              {
                "name": "叶片3的91度限位开关",
                "num": "3",
                "value": "DI034"
              },
              {
                "name": "叶片1的95度限位开关",
                "num": "4",
                "value": "DI035"
              },
              {
                "name": "叶片2的95度限位开关",
                "num": "5",
                "value": "DI036"
              },
              {
                "name": "叶片3的95度限位开关",
                "num": "6",
                "value": "DI037"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "冗余编码器1",
                "num": "1"
              },
              {
                "name": "冗余编码器2",
                "num": "2"
              },
              {
                "name": "冗余编码器3",
                "num": "3"
              },
              {
                "name": "变桨速度1",
                "num": "4",
                "value": "AI091"
              },
              {
                "name": "变桨速度2",
                "num": "5",
                "value": "AI092"
              },
              {
                "name": "变桨速度3",
                "num": "6",
                "value": "AI093"
              },
              {
                "name": "电机电流1",
                "num": "7",
                "value": "AI094",
                "unit": "A"
              },
              {
                "name": "电机电流2",
                "num": "8",
                "value": "AI095",
                "unit": "A"
              },
              {
                "name": "电机电流3",
                "num": "9",
                "value": "AI096",
                "unit": "A"
              },
              {
                "name": "电机温度1",
                "num": "10",
                "value": "AI287",
                "unit": "℃"
              },
              {
                "name": "电机温度2",
                "num": "11",
                "value": "AI288",
                "unit": "℃"
              },
              {
                "name": "电机温度3",
                "num": "12",
                "value": "AI289",
                "unit": "℃"
              }
            ]
          }
        ],

        "YawInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              {
                "name": "左极限位置",
                "num": "1",
                "value": "DI110"
              },
              {
                "name": "右极限位置",
                "num": "2",
                "value": "DI111"
              },
              {
                "name": "软启动正常",
                "num": "3",
                "value": "DI109"
              },
              {
                "name": "左偏航动作",
                "num": "4",
                "value": "DI112"
              },
              {
                "name": "偏航电刹车打开",
                "num": "5",
                "value": "DI008"
              },
              {
                "name": "右偏航动作",
                "num": "6",
                "value": "DI113"
              },
              {
                "name": "软启动器动作",
                "num": "7",
                "value": "DI121"
              },
              {
                "name": "软启动器使能",
                "num": "8",
                "value": "DI120"
              },
              {
                "name": "偏航编码器置零",
                "num": "9",
                "value": "DI860"
              },
              {
                "name": "解缆动作",
                "num": "10",
                "value": "DI012"
              },
              {
                "name": "偏航传感器mtok",
                "num": "11",
                "value": "DI858"
              },
              {
                "name": "偏航传感器OK",
                "num": "12",
                "value": "DI859"
              },
              {
                "name": "轴承润滑保护OK",
                "num": "13",
                "value": "DI861"
              },
              {
                "name": "轴承润滑液位OK",
                "num": "14",
                "value": "DI828"
              }
            ]
          },
          {
            "index": "part2",
            "text": "状态信息",
            "param": [
              {
                "name": "电机1保护OK",
                "num": "1",
                "value": "DI854"
              },
              {
                "name": "电机2保护OK",
                "num": "2",
                "value": "DI855"
              },
              {
                "name": "电机3保护OK",
                "num": "3",
                "value": "DI856"
              },
              {
                "name": "电机4保护OK",
                "num": "4",
                "value": "DI862"
              }
            ]
          },
          {
            "index": "part3",
            "text": "数值信息",
            "param": [
              {
                "name": "对风角度",
                "num": "1",
                "value": "AI036"
              },
              {
                "name": "偏航速度",
                "num": "2",
                "value": "AI300"
              },
              {
                "name": "偏航位置",
                "num": "3",
                "value": "AI034"
              },
              {
                "name": "偏航刹车压力",
                "num": "4"
              }
            ]
          }
        ],

        "PressureInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "液压泵打开",
                "num": "1",
                "value": "DI122"
              },
              {
                "name": "液压油加热器",
                "num": "2",
                "value": "DI864"
              },
              {
                "name": "叶轮刹车打开阀",
                "num": "3"
              },
              {
                "name": "叶轮刹车关闭阀",
                "num": "4"
              },
              {
                "name": "偏航刹车半开阀",
                "num": "5",
                "value": "DI007"
              },
              {
                "name": "偏航刹车全开阀",
                "num": "6",
                "value": "DI008"
              },
              {
                "name": "液压油温度超限",
                "num": "7",
                "value": "DI863"
              },
              {
                "name": "液压油液位OK",
                "num": "8",
                "value": "DI129"
              },
              {
                "name": "叶轮刹车液压OK",
                "num": "9",
                "value": "DI130"
              },
              {
                "name": "解缆动作",
                "num": "10",
                "value": "DI012"
              },
              {
                "name": "液压泵电机保护",
                "num": "11",
                "value": "DI131"
              },
              {
                "name": "液压泵电机反馈",
                "num": "12",
                "value": "DI133"
              },
              {
                "name": "加热器保护",
                "num": "13",
                "value": "DI132",
                "unit": "DI132"
              }
            ]
          },
          {
            "index": "part2",
            "text": "电网信息",
            "param": [
              {
                "name": "主系统压力",
                "num": "1"
              },
              {
                "name": "转子刹车压力",
                "num": "2"
              }
            ]
          }
        ],

        "RoomInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              {
                "name": "液压油位",
                "num": "1",
                "value": "AI020"
              },
              {
                "name": "液压油温度超限",
                "num": "2",
                "value": "DI863"
              },
              {
                "name": "叶轮刹车液压OK",
                "num": "3",
                "value": "DI130"
              },
              {
                "name": "液压泵电机保护OK",
                "num": "4",
                "value": "DI131"
              },
              {
                "name": "加热器保护OK",
                "num": "5",
                "value": "DI132"
              },
              {
                "name": "齿轮箱油位OK",
                "num": "6"
              },
              {
                "name": "润滑油压力OK",
                "num": "7",
                "value": "DI082"
              },
              {
                "name": "润滑油泵电机保护",
                "num": "8",
                "value": "DI834"
              },
              {
                "name": "冷却水压OK",
                "num": "9",
                "value": "DI248"
              },
              {
                "name": "发电机加热器保护",
                "num": "10",
                "value": "DI254"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "叶片实际值",
                "num": "1"
              },
              {
                "name": "叶片1角度",
                "num": "2",
                "value": "AI085"
              },
              {
                "name": "叶片2角度",
                "num": "3",
                "value": "AI086"
              },
              {
                "name": "叶片3角度",
                "num": "3",
                "value": "AI087"
              },
              {
                "name": "风速",
                "num": "3",
                "value": "AI007"
              },
              {
                "name": "功率",
                "num": "3",
                "value": "AI130"
              },
              {
                "name": "机舱位置",
                "num": "3"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "value": "AI128"
              },
              {
                "name": "叶轮转速",
                "num": "3",
                "value": "AI134"
              }
            ]
          }
        ],

        "OutIn": [
          {
            "index": "part1",
            "text": "叶轮装置",
            "param": [
              {
                "name": "叶片1偏角",
                "plcName": "blade1_angle",
                "value": "AI085"
              },
              {
                "name": "叶片2偏角",
                "plcName": "blade2_angle",
                "value": "AI086"
              },
              {
                "name": "叶片3偏角",
                "plcName": "blade3_angle",
                "value": "AI087"
              }
            ]
          },
          {
            "index": "part2",
            "text": "发电机",
            "param": [
              {
                "name": "U1绕组温度",
                "plcName": "u1_circling_temperature",
                "value": "AI045"
              },
              {
                "name": "U2绕组温度",
                "plcName": "u2_circling_temperature",
                "value": "AI046"
              }
            ]
          }
        ],

        "Fault": [
          {
            "index": "part1",
            "text": "叶轮装置",
            "param": [
              {
                "name": "叶片1偏角",
                "plcName": "blade1_angle",
                "value": "AI085"
              },
              {
                "name": "叶片2偏角",
                "plcName": "blade2_angle",
                "value": "AI086"
              },
              {
                "name": "叶片3偏角",
                "plcName": "blade3_angle",
                "value": "AI087"
              }
            ]
          },
          {
            "index": "part2",
            "text": "发电机",
            "param": [
              {
                "name": "U1绕组温度",
                "plcName": "u1_circling_temperature",
                "value": "AI045"
              },
              {
                "name": "U2绕组温度",
                "plcName": "u2_circling_temperature",
                "value": "AI046"
              }
            ]
          }
        ]

      },

      "UP105-2000-S": {

        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI130",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI022",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rp"
              },
              {
                "name": "转子转速",
                "num": "4",
                "code": "AI300",
                "unit": "rp"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI034",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "U1项绕组电压",
                "num": "1",
                "code": "AI274",
                "unit": "V"
              },
              {
                "name": "U1项绕组电流",
                "num": "2",
                "code": "AI267",
                "unit": "A"
              },
              {
                "name": "U2项绕组电压",
                "num": "3",
                "code": "AI275",
                "unit": "V"
              },
              {
                "name": "U2项绕组电流",
                "num": "4",
                "code": "AI268",
                "unit": "A"
              },
              {
                "name": "U3项绕组电压",
                "num": "5",
                "code": "AI276",
                "unit": "V"
              },
              {
                "name": "U3项绕组电流",
                "num": "6",
                "code": "AI269",
                "unit": "A"
              },
              {
                "name": "功率因数",
                "num": "7",
                "code": "AI067"
              },
              {
                "name": "总发电量",
                "num": "8",
                "code": "AI064",
                "unit": "万度"
              }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "电机轴承A温度",
                "num": "4",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "电机轴承B温度",
                "num": "5",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "机舱温度",
                "num": "6",
                "code": "AI070",
                "unit": "℃"
              },
              {
                "name": "液压油温度",
                "num": "7",
                "code": "DI1555",
                "unit": "℃"
              },
              {
                "name": "冷却风温度",
                "num": "8",
                "code": "AI042",
                "unit": "℃"
              },
              {
                "name": "环境温度",
                "num": "9",
                "code": "AI056",
                "unit": "℃"
              },
              {
                "name": "电机温度",
                "num": "10",
                "code": "AI042",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI002",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI003",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI004",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [
              {
                "name": "总发电量",
                "num": "3",
                "unit": "度"
              }
            ]
          }
        ],

        "AlternatorInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "加热器保护",
                "num": "1",
                "value": "DI1549"
              },
              {
                "name": "启动发电机加热器",
                "num": "2"
              },
              {
                "name": "电刷磨损",
                "num": "3"
              },
              {
                "name": "启动加热器",
                "num": "4",
                "value": "DI1824"
              },
              {
                "name": "启动空冷风扇1",
                "num": "5",
                "value": "DI1822"
              },
              {
                "name": "启动空冷风扇2",
                "num": "6",
                "value": "DI1823"
              },
              {
                "name": "空冷风扇保护1",
                "num": "7",
                "value": "DI1159"
              },
              {
                "name": "空冷风扇保护2",
                "num": "8",
                "value": "DI1160"
              },
              {
                "name": "水冷电机泵保护",
                "num": "9"
              },
              {
                "name": "水冷压力OK",
                "num": "10"
              },
              {
                "name": "润滑油泵液位OK",
                "num": "11"
              },
              {
                "name": "启动冷却水泵",
                "num": "12"
              },
              {
                "name": "启动润滑油泵",
                "num": "13",
                "value": "DI1819"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "U1绕组温度",
                "num": "1",
                "value": "AI045",
                "unit": "℃"
              },
              {
                "name": "U2绕组温度",
                "num": "2",
                "value": "AI046",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "3",
                "value": "AI049",
                "unit": "℃"
              },
              {
                "name": "W2绕组温度",
                "num": "4",
                "value": "AI050",
                "unit": "℃"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "value": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "value": "AI053",
                "unit": "℃"
              }
            ]
          }
        ],

        "GearBoxInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "油位OK",
                "num": "1"
              },
              {
                "name": "润滑油压力OK",
                "num": "2",
                "value": "DI1542"
              },
              {
                "name": "润滑油泵电机保护",
                "num": "3",
                "value": "DI1148"
              },
              {
                "name": "润滑油加热保护",
                "num": "4",
                "value": "DI1545"
              },
              {
                "name": "润滑油滤网压差OK",
                "num": "5",
                "value": "DI1149"
              },
              {
                "name": "润滑油温度高",
                "num": "6"
              },
              {
                "name": "齿轮箱油加热器",
                "num": "7",
                "value": "DI1145"
              },
              {
                "name": "启动润滑油加热器",
                "num": "8",
                "value": "DI1816"
              },
              {
                "name": "启动润滑油泵高速A",
                "num": "9",
                "value": "DI1817"
              },
              {
                "name": "启动润滑油泵高速B",
                "num": "10",
                "value": "DI1818"
              },
              {
                "name": "启动油泵加热器",
                "num": "11"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "润滑油滤网入口压力",
                "num": "1",
                "unit": "bar"
              },
              {
                "name": "润滑油滤网出口压力",
                "num": "2",
                "unit": "bar"
              },
              {
                "name": "齿轮箱轴1温度",
                "num": "3",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "4",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "5",
                "unit": "℃"
              }
            ]
          }
        ],

        "ChangePaddleInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "叶片1的91度限位开关",
                "num": "1"
              },
              {
                "name": "叶片2的91度限位开关",
                "num": "2"
              },
              {
                "name": "叶片3的91度限位开关",
                "num": "3"
              },
              {
                "name": "叶片1的95度限位开关",
                "num": "4"
              },
              {
                "name": "叶片2的95度限位开关",
                "num": "5"
              },
              {
                "name": "叶片3的95度限位开关",
                "num": "6"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "冗余编码器1",
                "num": "1"
              },
              {
                "name": "冗余编码器2",
                "num": "2"
              },
              {
                "name": "冗余编码器3",
                "num": "3"
              },
              {
                "name": "变桨速度1",
                "num": "4",
                "value": "AI040"
              },
              {
                "name": "变桨速度2",
                "num": "5",
                "value": "AI080"
              },
              {
                "name": "变桨速度3",
                "num": "6",
                "value": "AI081"
              },
              {
                "name": "电机电流1",
                "num": "7",
                "value": "AI082",
                "unit": "A"
              },
              {
                "name": "电机电流2",
                "num": "8",
                "value": "AI083",
                "unit": "A"
              },
              {
                "name": "电机电流3",
                "num": "9",
                "value": "AI084",
                "unit": "A"
              },
              {
                "name": "电机温度1",
                "num": "10",
                "value": "AI103",
                "unit": "℃"
              },
              {
                "name": "电机温度2",
                "num": "11",
                "value": "AI104",
                "unit": "℃"
              },
              {
                "name": "电机温度3",
                "num": "12",
                "value": "AI105",
                "unit": "℃"
              }
            ]
          }
        ],

        "YawInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              {
                "name": "左极限位置",
                "num": "1",
                "value": "DI1110"
              },
              {
                "name": "右极限位置",
                "num": "2",
                "value": "DI1111"
              },
              {
                "name": "软启动正常",
                "num": "3",
                "value": "DI1798"
              },
              {
                "name": "左偏航动作",
                "num": "4",
                "value": "DI1869"
              },
              {
                "name": "偏航电刹车打开",
                "num": "5",
                "value": "DI1872"
              },
              {
                "name": "右偏航动作",
                "num": "6",
                "value": "DI1870"
              },
              {
                "name": "软启动器动作",
                "num": "7",
                "value": "DI1875"
              },
              {
                "name": "软启动器使能",
                "num": "8",
                "value": "DI1874"
              },
              {
                "name": "偏航编码器置零",
                "num": "9",
                "value": "DI1873"
              },
              {
                "name": "解缆动作",
                "num": "10"
              },
              {
                "name": "偏航传感器mtok",
                "num": "11"
              },
              {
                "name": "偏航传感器OK",
                "num": "12"
              },
              {
                "name": "轴承润滑保护OK",
                "num": "13"
              },
              {
                "name": "轴承润滑液位OK",
                "num": "14",
                "value": "DI1791"
              }
            ]
          },
          {
            "index": "part2",
            "text": "状态信息",
            "param": [
              {
                "name": "电机1保护OK",
                "num": "1",
                "value": "DI1504"
              },
              {
                "name": "电机2保护OK",
                "num": "2",
                "value": "DI1505"
              },
              {
                "name": "电机3保护OK",
                "num": "3",
                "value": "DI1506"
              },
              {
                "name": "电机4保护OK",
                "num": "4",
                "value": "DI1507"
              }
            ]
          },
          {
            "index": "part3",
            "text": "数值信息",
            "param": [
              {
                "name": "对风角度",
                "num": "1"
              },
              {
                "name": "偏航速度",
                "num": "2"
              },
              {
                "name": "偏航位置",
                "num": "3"
              },
              {
                "name": "偏航刹车压力",
                "num": "4",
                "value": "AI323"
              }
            ]
          }
        ],

        "PressureInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "液压泵打开",
                "num": "1"
              },
              {
                "name": "液压油加热器",
                "num": "2",
                "value": "DI1554"
              },
              {
                "name": "叶轮刹车打开阀",
                "num": "3"
              },
              {
                "name": "叶轮刹车关闭阀",
                "num": "4"
              },
              {
                "name": "偏航刹车半开阀",
                "num": "5"
              },
              {
                "name": "偏航刹车全开阀",
                "num": "6"
              },
              {
                "name": "液压油温度超限",
                "num": "7"
              },
              {
                "name": "液压油液位OK",
                "num": "8",
                "value": "DI1174"
              },
              {
                "name": "叶轮刹车液压OK",
                "num": "9"
              },
              {
                "name": "解缆动作",
                "num": "10",
                "value": "DI1485"
              },
              {
                "name": "液压泵电机保护",
                "num": "11",
                "value": "DI1557"
              },
              {
                "name": "液压泵电机反馈",
                "num": "12"
              },
              {
                "name": "加热器保护",
                "num": "13",
                "value": "DI1172"
              }
            ]
          },
          {
            "index": "part2",
            "text": "电网信息",
            "param": [
              {
                "name": "主系统压力",
                "num": "1"
              },
              {
                "name": "转子刹车压力",
                "num": "2"
              }
            ]
          }
        ],

        "RoomInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              {
                "name": "液压油位",
                "num": "1"
              },
              {
                "name": "液压油温度超限",
                "num": "2"
              },
              {
                "name": "叶轮刹车液压OK",
                "num": "3"
              },
              {
                "name": "液压泵电机保护OK",
                "num": "4"
              },
              {
                "name": "加热器保护OK",
                "num": "5"
              },
              {
                "name": "齿轮箱油位OK",
                "num": "6",
                "value": "DI1541"
              },
              {
                "name": "润滑油压力OK",
                "num": "7",
                "value": "DI1542"
              },
              {
                "name": "润滑油泵电机保护",
                "num": "8"
              },
              {
                "name": "冷却水压OK",
                "num": "9"
              },
              {
                "name": "发电机加热器保护",
                "num": "10"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "叶片实际值",
                "num": "1"
              },
              {
                "name": "叶片1角度",
                "num": "2"
              },
              {
                "name": "叶片2角度",
                "num": "3"
              },
              {
                "name": "叶片3角度",
                "num": "3"
              },
              {
                "name": "风速",
                "num": "3",
                "value": "AI022"
              },
              {
                "name": "功率",
                "num": "3",
                "value": "AI130"
              },
              {
                "name": "机舱位置",
                "num": "3",
                "value": "AI034"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "value": "AI128"
              },
              {
                "name": "叶轮转速",
                "num": "3",
                "unit": "AI012"
              }
            ]
          }
        ],

        "OutIn": [
          {
            "index": "part1",
            "text": "叶轮装置",
            "param": [
              {
                "name": "叶片1偏角",
                "plcName": "blade1_angle",
                "value": "AI085"
              },
              {
                "name": "叶片2偏角",
                "plcName": "blade2_angle",
                "value": "AI086"
              },
              {
                "name": "叶片3偏角",
                "plcName": "blade3_angle",
                "value": "AI087"
              }
            ]
          },
          {
            "index": "part2",
            "text": "发电机",
            "param": [
              {
                "name": "U1绕组温度",
                "plcName": "u1_circling_temperature",
                "value": "AI045"
              },
              {
                "name": "U2绕组温度",
                "plcName": "u2_circling_temperature",
                "value": "AI046"
              }
            ]
          }
        ],

        "Fault": [
          {
            "index": "part1",
            "text": "叶轮装置",
            "param": [
              {
                "name": "叶片1偏角",
                "plcName": "blade1_angle",
                "value": "AI085"
              },
              {
                "name": "叶片2偏角",
                "plcName": "blade2_angle",
                "value": "AI086"
              },
              {
                "name": "叶片3偏角",
                "plcName": "blade3_angle",
                "value": "AI087"
              }
            ]
          },
          {
            "index": "part2",
            "text": "发电机",
            "param": [
              {
                "name": "U1绕组温度",
                "plcName": "u1_circling_temperature",
                "value": "AI045"
              },
              {
                "name": "U2绕组温度",
                "plcName": "u2_circling_temperature",
                "value": "AI046"
              }
            ]
          }
        ]

      }
    },

    "QS_FDC": {
      "CCWE-1500": {

        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI130",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI022",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rpm"
              },
              {
                "name": "转子转速",
                "num": "4",
                "code": "AI181",
                "unit": "rpm"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI222",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "风机电压",
                "num": "1",
                "code": "AI185",
                "unit": "V"
              },
              {
                "name": "风机电流",
                "num": "2",
                "code": "AI186",
                "unit": "A"
              },
              {
                "name": "电网无功功率",
                "num": "3",
                "code": "AI131",
                "unit": "kw"
              },
              {
                "name": "功率因数",
                "num": "4",
                "code": "AI067"
              },
              {
                "name": "频率",
                "num": "5",
                "code": "AI068",
                "unit": "Hz"
              },
              {
                "name": "总发电量",
                "num": "6",
                "code": "AI064",
                "unit": "万度"
              },
              { "num": "7" },
              { "num": "8" }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "线圈L1温度",
                "num": "1",
                "code": "AI188",
                "unit": "℃"
              },
              {
                "name": "线圈L2温度",
                "num": "2",
                "code": "AI189",
                "unit": "℃"
              },
              {
                "name": "线圈L3温度",
                "num": "3",
                "code": "AI190",
                "unit": "℃"
              },
              {
                "name": "电机驱动端轴温度",
                "num": "4",
                "code": "AI195",
                "unit": "℃"
              },
              {
                "name": "电机非驱动端轴温度",
                "num": "5",
                "code": "AI196",
                "unit": "℃"
              },
              {
                "name": "高速端轴承温度",
                "num": "6",
                "code": "AI204",
                "unit": "℃"
              },
              {
                "name": "低速端轴承温度",
                "num": "7",
                "code": "AI205",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温",
                "num": "8",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "主轴温度",
                "num": "9",
                "code": "AI213",
                "unit": "℃"
              },
              {
                "name": "变频器温度",
                "num": "10",
                "code": "AI214",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": []
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [
              {
                "name": "总发电量",
                "num": "3",
                "unit": "度"
              }
            ]
          }
        ],

        "AlternatorInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              { "num": "1" },
              { "num": "2" },
              { "num": "3" },
              { "num": "4" },
              { "num": "5" },
              { "num": "6" },
              { "num": "7" },
              { "num": "8" },
              { "num": "9" },
              { "num": "10" },
              { "num": "11" },
              { "num": "12" },
              { "num": "13" }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "线圈L1温度",
                "num": "1",
                "value": "AI188",
                "unit": "℃"
              },
              {
                "name": "线圈L2温度",
                "num": "2",
                "value": "AI189",
                "unit": "℃"
              },
              {
                "name": "线圈L3温度",
                "num": "3",
                "value": "AI190",
                "unit": "℃"
              },
              {
                "name": "电机驱动端轴温度",
                "num": "4",
                "value": "AI195",
                "unit": "℃"
              },
              {
                "name": "电机非驱动端轴温度",
                "num": "5",
                "value": "AI196",
                "unit": "℃"
              },
              {
                "name": "高速端轴承温度",
                "num": "6",
                "value": "AI204",
                "unit": "℃"
              }
            ]
          }
        ],

        "GearBoxInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              { "num": "1" },
              { "num": "2" },
              { "num": "3" },
              { "num": "4" },
              { "num": "5" },
              { "num": "6" },
              { "num": "7" },
              { "num": "8" },
              { "num": "9" },
              { "num": "10" },
              { "num": "11" }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "电机驱动端轴温度",
                "num": "1",
                "value": "AI195",
                "unit": "℃"
              },
              {
                "name": "电机非驱动端轴温度",
                "num": "2",
                "value": "AI196",
                "unit": "℃"
              },
              {
                "name": "齿轮箱高速轴温度",
                "num": "3",
                "value": "AI204",
                "unit": "℃"
              },
              {
                "name": "齿轮箱低速轴温度",
                "num": "4",
                "value": "AI205",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温度",
                "num": "5",
                "value": "AI041",
                "unit": "℃"
              }
            ]
          }
        ],

        "ChangePaddleInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              { "num": "1" },
              { "num": "2" },
              { "num": "3" },
              { "num": "4" },
              { "num": "5" },
              { "num": "6" }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "num": "1",
                "unit": "度"
              },
              {
                "num": "2",
                "unit": "度"
              },
              {
                "num": "3",
                "unit": "度"
              },
              {
                "num": "4",
                "unit": "度"
              },
              {
                "num": "5",
                "unit": "度"
              },
              {
                "num": "6",
                "unit": "度"
              },
              {
                "num": "7",
                "unit": "℃"
              },
              {
                "num": "8",
                "unit": "℃"
              },
              {
                "num": "9",
                "unit": "℃"
              },
              {
                "num": "10",
                "unit": "V"
              },
              {
                "num": "11",
                "unit": "V"
              },
              {
                "num": "12",
                "unit": "V"
              }
            ]
          }
        ],

        "YawInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              { "num": "1" },
              { "num": "2" },
              { "num": "3" },
              { "num": "4" },
              { "num": "5" },
              { "num": "6" },
              { "num": "7" },
              { "num": "8" },
              { "num": "9" },
              { "num": "10" },
              { "num": "11" },
              { "num": "12" },
              { "num": "13" },
              { "num": "14" }
            ]
          },
          {
            "index": "part2",
            "text": "状态信息",
            "param": [
              { "num": "1" },
              { "num": "2" },
              { "num": "3" },
              { "num": "4" }
            ]
          },
          {
            "index": "part3",
            "text": "数值信息",
            "param": [
              {
                "num": "1",
                "unit": "度"
              },
              {
                "num": "2",
                "unit": "度"
              },
              {
                "num": "3",
                "unit": "度"
              },
              {
                "num": "4",
                "unit": "度"
              }
            ]
          }
        ],

        "PressureInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              { "num": "1" },
              { "num": "2" },
              { "num": "3" },
              { "num": "4" },
              { "num": "5" },
              { "num": "6" },
              { "num": "7" },
              { "num": "8" },
              { "num": "9" },
              { "num": "10" },
              { "num": "11" },
              { "num": "12" },
              { "num": "13" }
            ]
          },
          {
            "index": "part2",
            "text": "电网信息",
            "param": [
              {
                "num": "1",
                "unit": "bar"
              },
              {
                "num": "2",
                "unit": "bar"
              }
            ]
          }
        ],

        "RoomInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              { "num": "1" },
              { "num": "2" },
              { "num": "3" },
              { "num": "4" },
              { "num": "5" },
              { "num": "6" },
              { "num": "7" },
              { "num": "8" },
              { "num": "9" },
              { "num": "10" }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "num": "1",
                "unit": "℃"
              },
              {
                "num": "2",
                "unit": "℃"
              },
              {
                "num": "3",
                "unit": "度"
              },
              {
                "num": "4",
                "unit": "度"
              },
              {
                "num": "5",
                "unit": "度"
              },
              {
                "num": "6",
                "unit": "m/s"
              },
              {
                "num": "7",
                "unit": "kwh"
              },
              {
                "num": "8",
                "unit": "度"
              },
              {
                "num": "9",
                "unit": "rmp"
              }
            ]
          }
        ],

        "OutIn": [
          {
            "index": "part1",
            "text": "叶轮装置",
            "param": [
              { "plcName": "blade1_angle" },
              { "plcName": "blade2_angle" },
              { "plcName": "blade3_angle" }
            ]
          },
          {
            "index": "part2",
            "text": "发电机",
            "param": [
              { "plcName": "u1_circling_temperature" },
              { "plcName": "u2_circling_temperature" }
            ]
          }
        ],

        "Fault": [
          {
            "index": "part1",
            "text": "发电机类故障",
            "param": [
              { "plcName": "plcName" },
              { "plcName": "plcName" },
              { "plcName": "plcName" },
              { "plcName": "plcName" },
              { "plcName": "plcName" }
            ]
          },
          {
            "index": "part2",
            "text": "电网类故障",
            "param": [
              { "plcName": "plcName" },
              { "plcName": "plcName" },
              { "plcName": "plcName" },
              { "plcName": "plcName" },
              { "plcName": "plcName" },
              { "plcName": "plcName" }
            ]
          }
        ]

      }
    },

    "NSS_FDC": {
      "UP82": {

        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI065",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI005",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rpm"
              },
              {
                "name": "转子转速",
                "num": "4",
                "code": "AI014",
                "unit": "rpm"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI034",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "U1项绕组电压",
                "num": "1",
                "code": "AI058",
                "unit": "V"
              },
              {
                "name": "U1项绕组电流",
                "num": "2",
                "code": "AI061",
                "unit": "A"
              },
              {
                "name": "电网无功功率",
                "num": "3",
                "code": "AI066",
                "unit": "kw"
              },
              {
                "name": "功率因数",
                "num": "4",
                "code": "AI067"
              },
              {
                "name": "频率",
                "num": "5",
                "code": "AI068",
                "unit": "Hz"
              },
              {
                "name": "总发电量",
                "num": "6",
                "code": "AI064",
                "unit": "万度"
              },
              { "num": "7" },
              { "num": "8" }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "电机轴承A温度",
                "num": "4",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "电机轴承B温度",
                "num": "5",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "机舱温度",
                "num": "6",
                "code": "AI057",
                "unit": "℃"
              },
              {
                "name": "液压油温度",
                "num": "7",
                "code": "AI020",
                "unit": "℃"
              },
              {
                "name": "冷却风温度",
                "num": "8",
                "code": "AI054",
                "unit": "℃"
              },
              {
                "name": "环境温度",
                "num": "9",
                "code": "AI056",
                "unit": "℃"
              },
              {
                "name": "电机滑环温度",
                "num": "10",
                "code": "AI055",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI087",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [
              {
                "name": "总发电量",
                "num": "3",
                "code": "AI064",
                "unit": "度"
              }
            ]
          }
        ],

        "AlternatorInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "加热器保护",
                "num": "1",
                "value": "DI839"
              },
              {
                "name": "启动发电机加热器",
                "num": "2",
                "value": "DI827"
              },
              {
                "name": "电刷磨损",
                "num": "3",
                "value": "DI829"
              },
              {
                "name": "转子锁定",
                "num": "4",
                "value": "DI006"
              },
              {
                "name": "润滑油泵液位OK",
                "num": "5",
                "value": "DI828"
              },
              {
                "name": "空冷风扇保护1正常",
                "num": "6",
                "value": "DI250"
              },
              {
                "name": "安全系统紧急停机",
                "num": "7",
                "value": "DI846"
              },
              {
                "name": "液压站类总故障",
                "num": "8",
                "value": "DI212"
              },
              {
                "name": "变流器类总故障",
                "num": "9",
                "value": "DI144"
              },
              {
                "name": "主轴类总故障",
                "num": "10",
                "value": "DI375"
              },
              {
                "name": "绕组温度超限故障",
                "num": "11",
                "value": "DI237"
              },
              {
                "name": "发电机总故障",
                "num": "12",
                "value": "DI236"
              },
              { "num": "13" }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "U1绕组温度",
                "num": "1",
                "value": "AI045",
                "unit": "℃"
              },
              {
                "name": "V1绕组温度",
                "num": "2",
                "value": "AI047",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "3",
                "value": "AI049",
                "unit": "℃"
              },
              {
                "name": "发电机滑环温度",
                "num": "4",
                "value": "AI055",
                "unit": "℃"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "value": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "value": "AI053",
                "unit": "℃"
              }
            ]
          }
        ],

        "GearBoxInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "油位OK",
                "num": "1",
                "value": "DI081"
              },
              {
                "name": "润滑油压力OK",
                "num": "2",
                "value": "DI082"
              },
              {
                "name": "齿轮箱冷却水压ok",
                "num": "3",
                "value": "DI089"
              },
              {
                "name": "齿轮箱油加热保护ok",
                "num": "4",
                "value": "DI839"
              },
              {
                "name": "润滑油滤网压差OK",
                "num": "5",
                "value": "DI087"
              },
              {
                "name": "润滑油温度高",
                "num": "6",
                "value": "DI838"
              },
              {
                "name": "润滑泵电机保护ok",
                "num": "7",
                "value": "DI834"
              },
              {
                "name": "润滑油加热保护ok",
                "num": "8",
                "value": "DI835"
              },
              {
                "name": "齿轮箱侧温度超限",
                "num": "9",
                "value": "DI376"
              },
              {
                "name": "主轴转子侧温度超限",
                "num": "10",
                "value": "DI377"
              },
              {
                "name": "齿轮箱类总故障",
                "num": "11",
                "value": "DI260"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "润滑油滤网入口压力",
                "num": "1",
                "value": "AI043",
                "unit": "bar"
              },
              {
                "name": "润滑油滤网出口压力",
                "num": "2",
                "value": "AI044",
                "unit": "bar"
              },
              {
                "name": "齿轮箱轴1温度",
                "num": "3",
                "value": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "4",
                "value": "AI039",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "5",
                "value": "AI040",
                "unit": "℃"
              }
            ]
          }
        ],

        "ChangePaddleInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "变桨1安全链动作",
                "num": "1",
                "value": "DI785"
              },
              {
                "name": "变桨2安全链动作",
                "num": "2",
                "value": "DI786"
              },
              {
                "name": "变桨3安全链动作",
                "num": "3",
                "value": "DI787"
              },
              {
                "name": "变桨1电容电压过低",
                "num": "4",
                "value": "DI794"
              },
              {
                "name": "变桨2电容电压过低",
                "num": "5",
                "value": "DI795"
              },
              {
                "name": "变桨3电容电压过低",
                "num": "6",
                "value": "DI796"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "桨距角1",
                "num": "1",
                "value": "AI248",
                "unit": "度"
              },
              {
                "name": "桨距角2",
                "num": "2",
                "value": "AI249",
                "unit": "度"
              },
              {
                "name": "桨距角3",
                "num": "3",
                "value": "AI250",
                "unit": "度"
              },
              {
                "name": "变桨目标位置1",
                "num": "4",
                "value": "AI073",
                "unit": "度"
              },
              {
                "name": "变桨目标位置2",
                "num": "5",
                "value": "AI074",
                "unit": "度"
              },
              {
                "name": "变桨目标位置3",
                "num": "6",
                "value": "AI075",
                "unit": "度"
              },
              {
                "name": "变桨1轴箱温度",
                "num": "7",
                "value": "AI107",
                "unit": "℃"
              },
              {
                "name": "变桨2轴箱温度",
                "num": "8",
                "value": "AI108",
                "unit": "℃"
              },
              {
                "name": "变桨3轴箱温度",
                "num": "9",
                "value": "AI109",
                "unit": "℃"
              },
              {
                "name": "变桨电容电压1",
                "num": "10",
                "value": "AI236",
                "unit": "V"
              },
              {
                "name": "变桨电容电压2",
                "num": "11",
                "value": "AI237",
                "unit": "V"
              },
              {
                "name": "变桨电容电压3",
                "num": "12",
                "value": "AI283",
                "unit": "V"
              }
            ]
          }
        ],

        "YawInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              {
                "name": "左极限位置",
                "num": "1",
                "value": "DI110"
              },
              {
                "name": "右极限位置",
                "num": "2",
                "value": "DI111"
              },
              {
                "name": "软启动正常",
                "num": "3",
                "value": "DI109"
              },
              {
                "name": "左偏航动作",
                "num": "4",
                "value": "DI112"
              },
              {
                "name": "右偏航动作",
                "num": "5",
                "value": "DI113"
              },
              {
                "name": "偏航电刹车打开",
                "num": "6",
                "value": "DI857"
              },
              {
                "name": "软启动器动作",
                "num": "7",
                "value": "DI121"
              },
              {
                "name": "软启动器使能",
                "num": "8",
                "value": "DI120"
              },
              {
                "name": "偏航编码器置零",
                "num": "9",
                "value": "DI860"
              },
              {
                "name": "解缆动作",
                "num": "10",
                "value": "DI012"
              },
              {
                "name": "偏航传感器mtok",
                "num": "11",
                "value": "DI858"
              },
              {
                "name": "偏航传感器OK",
                "num": "12",
                "value": "DI859"
              },
              {
                "name": "润滑泵轴承保护OK",
                "num": "13",
                "value": "DI861"
              },
              {
                "name": "轴承润滑液位OK",
                "num": "14",
                "value": "DI853"
              }
            ]
          },
          {
            "index": "part2",
            "text": "状态信息",
            "param": [
              {
                "name": "电机1保护OK",
                "num": "1",
                "value": "DI854"
              },
              {
                "name": "电机2保护OK",
                "num": "2",
                "value": "DI855"
              },
              {
                "name": "电机3保护OK",
                "num": "3",
                "value": "DI856"
              },
              {
                "name": "电机4保护OK",
                "num": "4",
                "value": "DI862"
              }
            ]
          },
          {
            "index": "part3",
            "text": "数值信息",
            "param": [
              {
                "name": "对风偏差",
                "num": "1",
                "value": "AI036",
                "unit": "度"
              },
              {
                "name": "对风偏差角度限值",
                "num": "2",
                "value": "AI144",
                "unit": "度"
              },
              {
                "name": "偏航位置",
                "num": "3",
                "value": "AI034",
                "unit": "度"
              },
              {
                "name": "偏航速度",
                "num": "4",
                "value": "AI300",
                "unit": "度"
              }
            ]
          }
        ],

        "PressureInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "液压油液位ok",
                "num": "1",
                "value": "DI129"
              },
              {
                "name": "液压油温度超限",
                "num": "2",
                "value": "DI863"
              },
              {
                "name": "叶轮刹车液压ok",
                "num": "3",
                "value": "DI130"
              },
              {
                "name": "液压泵电机保护",
                "num": "4",
                "value": "DI131"
              },
              {
                "name": "液压油加热器保护",
                "num": "5",
                "value": "DI132"
              },
              {
                "name": "液压泵电机反馈",
                "num": "6",
                "value": "DI133"
              },
              {
                "name": "液压站类总故障",
                "num": "7",
                "value": "DI212"
              },
              { "num": "8" },
              { "num": "9" },
              { "num": "10" },
              { "num": "11" },
              { "num": "12" },
              { "num": "13" }
            ]
          },
          {
            "index": "part2",
            "text": "电网信息",
            "param": [
              {
                "name": "主系统液压",
                "num": "1",
                "value": "AI018",
                "unit": "bar"
              },
              {
                "name": "转子刹车系统液压",
                "num": "2",
                "value": "AI019",
                "unit": "bar"
              }
            ]
          }
        ],

        "RoomInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              {
                "name": "机舱柜内温度过高",
                "num": "1",
                "value": "DI313"
              },
              {
                "name": "塔底柜内温度过高",
                "num": "2",
                "value": "DI312"
              },
              {
                "name": "转子锁定",
                "num": "3",
                "value": "DI006"
              },
              {
                "name": "转子刹车打开",
                "num": "4",
                "value": "DI009"
              },
              {
                "name": "需要解缆",
                "num": "5",
                "value": "DI011"
              },
              {
                "name": "禁止偏航",
                "num": "6",
                "value": "DI060"
              },
              {
                "name": "塔底柜急停",
                "num": "7",
                "value": "DI847"
              },
              {
                "name": "机舱柜急停",
                "num": "8",
                "value": "DI099"
              },
              {
                "name": "机顶操作面板紧急停机",
                "num": "9",
                "value": "DI848"
              },
              { "num": "10" }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "机舱温度",
                "num": "1",
                "value": "AI057",
                "unit": "℃"
              },
              {
                "name": "机舱外温度",
                "num": "2",
                "value": "AI056",
                "unit": "℃"
              },
              {
                "name": "叶片1角度",
                "num": "3",
                "value": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2角度",
                "num": "4",
                "value": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3角度",
                "num": "5",
                "value": "AI087",
                "unit": "度"
              },
              {
                "name": "风速",
                "num": "6",
                "value": "AI005",
                "unit": "m/s"
              },
              {
                "name": "功率",
                "num": "7",
                "value": "AI065",
                "unit": "kwh"
              },
              {
                "name": "机舱位置",
                "num": "8",
                "value": "AI034",
                "unit": "度"
              },
              {
                "name": "发电机转速",
                "num": "9",
                "value": "AI128",
                "unit": "rmp"
              }
            ]
          }
        ],

        "OutIn": [
          {
            "index": "part1",
            "text": "叶轮装置",
            "param": [
              {
                "name": "叶片1偏角",
                "plcName": "blade1_angle",
                "value": "AI085"
              },
              {
                "name": "叶片2偏角",
                "plcName": "blade2_angle",
                "value": "AI086"
              },
              {
                "name": "叶片3偏角",
                "plcName": "blade3_angle",
                "value": "AI087"
              }
            ]
          },
          {
            "index": "part2",
            "text": "发电机",
            "param": [
              {
                "name": "U1绕组温度",
                "plcName": "u1_circling_temperature",
                "value": "AI045"
              },
              {
                "name": "U2绕组温度",
                "plcName": "u2_circling_temperature",
                "value": "AI046"
              }
            ]
          }
        ],

        "Fault": [
          {
            "index": "part1",
            "text": "发电机类故障",
            "param": [
              {
                "name": "变流器类总故障",
                "plcName": "plcName",
                "value": "DI144"
              },
              {
                "name": "发电机总故障",
                "plcName": "plcName",
                "value": "DI236"
              },
              {
                "name": "发电机绕组温度超限类故障",
                "plcName": "plcName",
                "value": "DI237"
              },
              {
                "name": "主轴类总故障",
                "plcName": "plcName",
                "value": "DI375"
              },
              {
                "name": "转子转速类总故障",
                "plcName": "plcName",
                "value": "DI380"
              }
            ]
          },
          {
            "index": "part2",
            "text": "电网类故障",
            "param": [
              {
                "name": "电网类总故障",
                "plcName": "plcName",
                "value": "DI279"
              },
              {
                "name": "电网电压故障",
                "plcName": "plcName",
                "value": "DI280"
              },
              {
                "name": "电网电流类故障",
                "plcName": "plcName",
                "value": "DI290"
              },
              {
                "name": "电网频率类故障",
                "plcName": "plcName",
                "value": "DI296"
              },
              {
                "name": "电网功率类故障",
                "plcName": "plcName",
                "value": "DI305"
              },
              {
                "name": "电网无功类故障",
                "plcName": "plcName",
                "value": "DI309"
              }
            ]
          }
        ]

      }
    },

    "XS_FDC": {
      "UP97": {

        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI130",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI007",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rpm"
              },
              {
                "name": "转子转速",
                "num": "4",
                "code": "AI014",
                "unit": "rpm"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI034",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "U1项绕组电压",
                "num": "1",
                "code": "AI058",
                "unit": "V"
              },
              {
                "name": "U1项绕组电流",
                "num": "2",
                "code": "AI061",
                "unit": "A"
              },
              {
                "name": "频率",
                "num": "3",
                "code": "AI068",
                "unit": "Hz"
              },
              {
                "name": "功率因数",
                "num": "4",
                "code": "AI067"
              },
              {
                "name": "电网功率",
                "num": "5",
                "code": "AI065",
                "unit": "kw"
              },
              {
                "name": "电网无功功率",
                "num": "6",
                "code": "AI066",
                "unit": "kw"
              },
              {
                "name": "总发电量",
                "num": "7",
                "code": "AI064",
                "unit": "万度"
              },
              { "num": "8" }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "齿轮箱轴1温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油温",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "电机轴承A温度",
                "num": "4",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "电机轴承B温度",
                "num": "5",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "机舱温度",
                "num": "6",
                "code": "AI057",
                "unit": "℃"
              },
              {
                "name": "液压油温度",
                "num": "7",
                "code": "AI020",
                "unit": "℃"
              },
              {
                "name": "发电机冷却风温度",
                "num": "8",
                "code": "AI054",
                "unit": "℃"
              },
              {
                "name": "环境温度",
                "num": "9",
                "code": "AI056",
                "unit": "℃"
              },
              {
                "name": "发电机滑环温度",
                "num": "10",
                "code": "AI055",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI087",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [
              {
                "name": "总发电量",
                "num": "3",
                "unit": "万度"
              }
            ]
          }
        ],

        "AlternatorInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "水冷风扇保护",
                "num": "1",
                "value": "DI066"
              },
              {
                "name": "启动发电机加热器",
                "num": "2",
                "value": "DI827"
              },
              {
                "name": "电刷磨损",
                "num": "3",
                "value": "DI829"
              },
              {
                "name": "启动空冷风扇1",
                "num": "4",
                "value": "DI075"
              },
              {
                "name": "启动空冷风扇2",
                "num": "5",
                "value": "DI076"
              },
              {
                "name": "空冷风扇保护1",
                "num": "6",
                "value": "DI068"
              },
              {
                "name": "空冷风扇保护2",
                "num": "7",
                "value": "DI069"
              },
              {
                "name": "润滑油温度高",
                "num": "8",
                "value": "DI838"
              },
              {
                "name": "水冷压力OK",
                "num": "9",
                "value": "DI071"
              },
              {
                "name": "轴承润滑油位OK",
                "num": "10",
                "value": "DI828"
              },
              {
                "name": "启动冷却水泵",
                "num": "11",
                "value": "DI093"
              },
              {
                "name": "启动电机润滑油泵",
                "num": "12",
                "value": "DI080"
              },
              { "num": "13" }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "U1绕组温度",
                "num": "1",
                "value": "AI045",
                "unit": "℃"
              },
              {
                "name": "V1绕组温度",
                "num": "2",
                "value": "AI047",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "3",
                "value": "AI049",
                "unit": "℃"
              },
              {
                "name": "发电机滑环温度",
                "num": "4",
                "value": "AI055"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "value": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "value": "AI053",
                "unit": "℃"
              }
            ]
          }
        ],

        "GearBoxInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "油位OK",
                "num": "1",
                "value": "DI828"
              },
              {
                "name": "润滑油压力OK",
                "num": "2",
                "value": "DI082"
              },
              {
                "name": "齿轮箱冷却水压ok",
                "num": "3",
                "value": "DI071"
              },
              {
                "name": "齿轮箱油加热保护ok",
                "num": "4",
                "value": "DI090"
              },
              {
                "name": "润滑油滤网压差OK",
                "num": "5",
                "value": "DI087"
              },
              {
                "name": "润滑油温度高",
                "num": "6",
                "value": "DI838"
              },
              {
                "name": "润滑泵电机保护ok",
                "num": "7",
                "value": "DI834"
              },
              {
                "name": "润滑油加热保护ok",
                "num": "8",
                "value": "DI835"
              },
              {
                "name": "润滑油泵高速轴a",
                "num": "9",
                "value": "DI095"
              },
              {
                "name": "润滑油泵高速轴b",
                "num": "10",
                "value": "DI096"
              },
              {
                "name": "齿轮箱类总故障",
                "num": "11"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "润滑油滤网入口压力",
                "num": "1",
                "value": "AI043",
                "unit": "bar"
              },
              {
                "name": "润滑油滤网出口压力",
                "num": "2",
                "value": "AI044",
                "unit": "bar"
              },
              {
                "name": "齿轮箱轴1温度",
                "num": "3",
                "value": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱轴2温度",
                "num": "4",
                "value": "AI039",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "5",
                "value": "AI040",
                "unit": "℃"
              }
            ]
          }
        ],

        "ChangePaddleInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "变桨1安全链动作",
                "num": "1",
                "value": "DI785"
              },
              {
                "name": "变桨2安全链动作",
                "num": "2",
                "value": "DI786"
              },
              {
                "name": "变桨3安全链动作",
                "num": "3",
                "value": "DI787"
              },
              {
                "name": "变桨1电容电压过低",
                "num": "4",
                "value": "DI794"
              },
              {
                "name": "变桨2电容电压过低",
                "num": "5",
                "value": "DI795"
              },
              {
                "name": "变桨3电容电压过低",
                "num": "6",
                "value": "DI796"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "叶片1位置",
                "num": "1",
                "value": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2位置",
                "num": "2",
                "value": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3位置",
                "num": "3",
                "value": "AI087",
                "unit": "度"
              },
              {
                "name": "变桨目标位置1",
                "num": "4",
                "value": "AI305",
                "unit": "度"
              },
              {
                "name": "变桨目标位置2",
                "num": "5",
                "value": "AI306",
                "unit": "度"
              },
              {
                "name": "变桨目标位置3",
                "num": "6",
                "value": "AI307",
                "unit": "度"
              },
              {
                "name": "变桨1轴箱温度",
                "num": "7",
                "value": "AI107",
                "unit": "℃"
              },
              {
                "name": "变桨2轴箱温度",
                "num": "8",
                "value": "AI108",
                "unit": "℃"
              },
              {
                "name": "变桨3轴箱温度",
                "num": "9",
                "value": "AI109",
                "unit": "℃"
              },
              {
                "name": "主轴叶轮侧温度",
                "num": "10",
                "value": "AI071",
                "unit": "℃"
              },
              {
                "name": "叶轮转速给定",
                "num": "11",
                "value": "AI134",
                "unit": "rmp"
              },
              {
                "name": "桨距角给定值",
                "num": "12",
                "value": "AI121",
                "unit": "度"
              }
            ]
          }
        ],

        "YawInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              {
                "name": "左极限位置",
                "num": "1",
                "value": "DI110"
              },
              {
                "name": "右极限位置",
                "num": "2",
                "value": "DI111"
              },
              {
                "name": "软启动正常",
                "num": "3",
                "value": "DI109"
              },
              {
                "name": "左偏航动作",
                "num": "4",
                "value": "DI112"
              },
              {
                "name": "右偏航动作",
                "num": "5",
                "value": "DI113"
              },
              {
                "name": "需要解缆",
                "num": "6",
                "value": "DI011"
              },
              {
                "name": "软启动器动作",
                "num": "7",
                "value": "DI121"
              },
              {
                "name": "软启动器使能",
                "num": "8",
                "value": "DI120"
              },
              {
                "name": "偏航编码器置零",
                "num": "9",
                "value": "DI117"
              },
              {
                "name": "解缆动作",
                "num": "10",
                "value": "DI012"
              },
              {
                "name": "偏航传感器mtok",
                "num": "11",
                "value": "DI115"
              },
              {
                "name": "偏航传感器OK",
                "num": "12",
                "value": "DI116"
              },
              {
                "name": "润滑泵轴承保护OK",
                "num": "13",
                "value": "DI861"
              },
              {
                "name": "轴承润滑液位OK",
                "num": "14",
                "value": "DI853"
              }
            ]
          },
          {
            "index": "part2",
            "text": "状态信息",
            "param": [
              {
                "name": "电机1保护OK",
                "num": "1",
                "value": "DI854"
              },
              {
                "name": "电机2保护OK",
                "num": "2",
                "value": "DI855"
              },
              {
                "name": "电机3保护OK",
                "num": "3",
                "value": "DI856"
              },
              {
                "name": "电机4保护OK",
                "num": "4",
                "value": "DI862"
              }
            ]
          },
          {
            "index": "part3",
            "text": "数值信息",
            "param": [
              {
                "name": "对风偏差",
                "num": "1",
                "value": "AI036",
                "unit": "度"
              },
              {
                "name": "风速",
                "num": "2",
                "value": "AI007",
                "unit": "m/s"
              },
              {
                "name": "偏航位置",
                "num": "3",
                "value": "AI034",
                "unit": "度"
              },
              {
                "name": "偏航速度",
                "num": "4",
                "value": "AI035",
                "unit": "m/s"
              }
            ]
          }
        ],

        "PressureInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "液压油液位ok",
                "num": "1",
                "value": "DI129"
              },
              {
                "name": "液压油温度超限",
                "num": "2",
                "value": "DI123"
              },
              {
                "name": "叶轮刹车液压ok",
                "num": "3",
                "value": "DI130"
              },
              {
                "name": "液压泵电机保护",
                "num": "4",
                "value": "DI131"
              },
              {
                "name": "液压油加热器保护",
                "num": "5",
                "value": "DI132"
              },
              {
                "name": "液压站类总故障",
                "num": "6",
                "value": "DI212"
              },
              {
                "name": "齿轮箱油加热保护ok",
                "num": "7",
                "value": "DI090"
              },
              {
                "name": "润滑油滤网压差OK",
                "num": "8",
                "value": "DI087"
              },
              {
                "name": "润滑油温度高",
                "num": "9",
                "value": "DI838"
              },
              {
                "name": "润滑泵电机保护ok",
                "num": "10",
                "value": "DI834"
              },
              {
                "name": "润滑油加热保护ok",
                "num": "11",
                "value": "DI835"
              },
              {
                "name": "润滑油泵高速轴a",
                "num": "12",
                "value": "DI095"
              },
              {
                "name": "润滑油泵高速轴b",
                "num": "13",
                "value": "DI096"
              }
            ]
          },
          {
            "index": "part2",
            "text": "电网信息",
            "param": [
              {
                "name": "主系统液压",
                "num": "1",
                "value": "AI018",
                "unit": "bar"
              },
              {
                "name": "转子刹车系统液压",
                "num": "2",
                "value": "AI019",
                "unit": "bar"
              }
            ]
          }
        ],

        "RoomInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              {
                "name": "机舱超速紧急停机",
                "num": "1",
                "value": "DI850"
              },
              {
                "name": "机舱振动紧急停机",
                "num": "2",
                "value": "DI851"
              },
              {
                "name": "机舱扭缆紧急停机",
                "num": "3",
                "value": "DI852"
              },
              {
                "name": "转子刹车打开",
                "num": "4",
                "value": "DI009"
              },
              {
                "name": "需要解缆",
                "num": "5",
                "value": "DI011"
              },
              {
                "name": "塔底紧急停机开关",
                "num": "6",
                "value": "DI847"
              },
              {
                "name": "机顶柜紧急停机开关",
                "num": "7",
                "value": "DI099"
              },
              {
                "name": "机顶面板停机指示灯",
                "num": "8",
                "value": "DI100"
              },
              {
                "name": "控制柜温度报警",
                "num": "9",
                "value": "DI1017"
              },
              {
                "name": "机舱振动超限报警",
                "num": "10",
                "value": "DI1021"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "机舱温度",
                "num": "1",
                "value": "AI057"
              },
              {
                "name": "机舱外温度",
                "num": "2",
                "value": "AI056"
              },
              {
                "name": "叶片1角度",
                "num": "3",
                "value": "AI085",
                "unit": "度"
              },
              {
                "name": "叶片2角度",
                "num": "4",
                "value": "AI086",
                "unit": "度"
              },
              {
                "name": "叶片3角度",
                "num": "5",
                "value": "AI087",
                "unit": "度"
              },
              {
                "name": "风速",
                "num": "6",
                "value": "AI007",
                "unit": "m/s"
              },
              {
                "name": "功率",
                "num": "7",
                "value": "AI065",
                "unit": "kwh"
              },
              {
                "name": "机舱位置",
                "num": "8",
                "value": "AI034",
                "unit": "度"
              },
              {
                "name": "发电机转速",
                "num": "9",
                "value": "AI128",
                "unit": "rmp"
              }
            ]
          }
        ],

        "OutIn": [
          {
            "index": "part1",
            "text": "叶轮装置",
            "param": [
              {
                "name": "叶片1偏角",
                "plcName": "blade1_angle",
                "value": "AI085"
              },
              {
                "name": "叶片2偏角",
                "plcName": "blade2_angle",
                "value": "AI086"
              },
              {
                "name": "叶片3偏角",
                "plcName": "blade3_angle",
                "value": "AI087"
              }
            ]
          },
          {
            "index": "part2",
            "text": "发电机",
            "param": [
              {
                "name": "U1绕组温度",
                "plcName": "u1_circling_temperature",
                "value": "AI045"
              },
              {
                "name": "U2绕组温度",
                "plcName": "u2_circling_temperature",
                "value": "AI046"
              }
            ]
          }
        ],

        "Fault": {
          "index": "part1",
          "text": "总故障",
          "param": [
            {
              "name": "发电机总故障",
              "plcName": "plcName",
              "value": "DI236"
            },
            {
              "name": "齿轮箱类总故障",
              "plcName": "plcName",
              "value": "DI260"
            },
            {
              "name": "变压器类总故障",
              "plcName": "plcName",
              "value": "DI277"
            },
            {
              "name": "电网类总故障",
              "plcName": "plcName",
              "value": "DI279"
            },
            {
              "name": "液压站类总故障",
              "plcName": "plcName",
              "value": "DI212"
            },
            {
              "name": "偏航类总故障",
              "plcName": "plcName",
              "value": "DI222"
            },
            {
              "name": "叶轮刹车类总故障",
              "plcName": "plcName",
              "value": "DI208"
            },
            {
              "name": "主轴类总故障",
              "plcName": "plcName",
              "value": "DI375"
            },
            {
              "name": "控制器总故障",
              "plcName": "plcName",
              "value": "DI1011"
            }
          ]
        }

      },

      "UP105-2000-S": {

        "BasicInfo": [
          {
            "index": "part1",
            "tag": "基本信息",
            "param": [
              {
                "name": "有功功率",
                "num": "1",
                "code": "AI130",
                "unit": "Kw"
              },
              {
                "name": "风速",
                "num": "2",
                "code": "AI022",
                "unit": "m/s"
              },
              {
                "name": "发电机转速",
                "num": "3",
                "code": "AI128",
                "unit": "rpm"
              },
              {
                "name": "叶轮转速",
                "num": "4",
                "code": "AI012",
                "unit": "rpm"
              },
              {
                "name": "偏航位置",
                "num": "5",
                "code": "AI034",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part2",
            "tag": "电网信息",
            "param": [
              {
                "name": "Ipr线电流1",
                "num": "1",
                "code": "AI267",
                "unit": "A"
              },
              {
                "name": "IprL1L2中性点电压",
                "num": "2",
                "code": "AI274",
                "unit": "V"
              },
              {
                "name": "Ipr无功功率",
                "num": "3",
                "code": "AI131"
              },
              {
                "name": "有功控制给定值",
                "num": "4",
                "code": "AI426"
              },
              {
                "name": "功率因数",
                "num": "5",
                "code": "AI067"
              },
              {
                "name": "Ipr频率",
                "num": "6",
                "code": "AI068",
                "unit": "Hz"
              },
              {
                "name": "发无功总量",
                "num": "7",
                "code": "AI198",
                "unit": "万度"
              },
              {
                "name": "总发电量",
                "num": "8",
                "code": "AI064",
                "unit": "万度"
              }
            ]
          },
          {
            "index": "part3",
            "tag": "温度信息",
            "param": [
              {
                "name": "齿轮箱输入轴温度",
                "num": "1",
                "code": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱输出轴温度",
                "num": "2",
                "code": "AI039",
                "unit": "℃"
              },
              {
                "name": "齿轮箱油槽温度",
                "num": "3",
                "code": "AI041",
                "unit": "℃"
              },
              {
                "name": "电机轴承A温度",
                "num": "4",
                "code": "AI052",
                "unit": "℃"
              },
              {
                "name": "电机轴承B温度",
                "num": "5",
                "code": "AI053",
                "unit": "℃"
              },
              {
                "name": "机舱柜内温度",
                "num": "6",
                "code": "AI070",
                "unit": "℃"
              },
              {
                "name": "齿箱侧转子轴承温度",
                "num": "7",
                "code": "AI036",
                "unit": "℃"
              },
              {
                "name": "发电机空冷温度",
                "num": "8",
                "code": "AI042",
                "unit": "℃"
              },
              {
                "name": "环境温度",
                "num": "9",
                "code": "AI057",
                "unit": "℃"
              },
              {
                "name": "电机侧转子轴承温度",
                "num": "10",
                "code": "AI037",
                "unit": "℃"
              }
            ]
          },
          {
            "index": "part4",
            "tag": "桨叶信息",
            "param": [
              {
                "name": "叶片1偏角",
                "num": "1",
                "code": "AI002",
                "unit": "度"
              },
              {
                "name": "叶片2偏角",
                "num": "2",
                "code": "AI003",
                "unit": "度"
              },
              {
                "name": "叶片3偏角",
                "num": "3",
                "code": "AI004",
                "unit": "度"
              }
            ]
          },
          {
            "index": "part5",
            "tag": "运行参数",
            "param": [
              {
                "name": "总发电量",
                "num": "3",
                "code": "AI064",
                "unit": "度"
              }
            ]
          }
        ],

        "AlternatorInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "加热器保护",
                "num": "1",
                "value": "DI1163"
              },
              {
                "name": "发电机绕组温度低",
                "num": "2",
                "value": "DI1162"
              },
              {
                "name": "发电机电刷OK",
                "num": "3",
                "value": "DI1161"
              },
              {
                "name": "Pcs转子电流过载",
                "num": "4"
              },
              {
                "name": "Pcs定子电流过载",
                "num": "5"
              },
              {
                "name": "Pcs超速",
                "num": "6",
                "value": "DI1261"
              },
              {
                "name": "空冷风扇保护1",
                "num": "7",
                "value": "DI1159"
              },
              {
                "name": "空冷风扇保护2",
                "num": "8",
                "value": "DI1160"
              },
              {
                "name": "主轴接地碳刷正常",
                "num": "9",
                "value": "DI1577"
              },
              {
                "name": "Pcs转矩限制",
                "num": "10"
              },
              {
                "name": "Pcs跳闸",
                "num": "11",
                "value": "DI1274"
              },
              {
                "name": "Pcs低速",
                "num": "12"
              },
              {
                "name": "发电机柜防雷保护",
                "num": "13",
                "value": "DI1579"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "U1绕组温度",
                "num": "1",
                "value": "AI045",
                "unit": "℃"
              },
              {
                "name": "V1绕组温度",
                "num": "2",
                "value": "AI047",
                "unit": "℃"
              },
              {
                "name": "W1绕组温度",
                "num": "3",
                "value": "AI049",
                "unit": "℃"
              },
              {
                "name": "发电机空冷温度",
                "num": "4",
                "value": "AI042",
                "unit": "℃"
              },
              {
                "name": "轴承A温度",
                "num": "5",
                "value": "AI052",
                "unit": "℃"
              },
              {
                "name": "轴承B温度",
                "num": "6",
                "value": "AI053",
                "unit": "℃"
              }
            ]
          }
        ],

        "GearBoxInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "油位OK",
                "num": "1",
                "value": "DI1541"
              },
              {
                "name": "润滑油压力OK",
                "num": "2",
                "value": "DI1542"
              },
              {
                "name": "发电机冷却风扇保护",
                "num": "3",
                "value": "DI1546"
              },
              {
                "name": "齿轮箱油加热保护ok",
                "num": "4",
                "value": "DI1544"
              },
              {
                "name": "滤网压力正常",
                "num": "5",
                "value": "DI1540"
              },
              {
                "name": "齿轮箱进油温度",
                "num": "6",
                "value": "DI1141"
              },
              {
                "name": "润滑泵电机保护ok",
                "num": "7",
                "value": "DI1543"
              },
              {
                "name": "润滑油加热保护ok",
                "num": "8",
                "value": "DI1545"
              },
              {
                "name": "润滑油滤网压力超范",
                "num": "9",
                "value": "DI1149"
              },
              {
                "name": "换热风扇加热带保护",
                "num": "10",
                "value": "DI1538"
              },
              {
                "name": "润滑油加热器保护",
                "num": "11",
                "value": "DI1145"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "润滑油滤网入口压力",
                "num": "1",
                "unit": "bar"
              },
              {
                "name": "齿轮箱油槽温度",
                "num": "2",
                "value": "AI041",
                "unit": "℃"
              },
              {
                "name": "齿轮箱输入轴温度",
                "num": "3",
                "value": "AI038",
                "unit": "℃"
              },
              {
                "name": "齿轮箱输出轴温度",
                "num": "4",
                "value": "AI039",
                "unit": "℃"
              },
              {
                "name": "入口油温",
                "num": "5",
                "value": "AI040",
                "unit": "℃"
              }
            ]
          }
        ],

        "ChangePaddleInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "变桨1安全链动作",
                "num": "1",
                "value": "DI1738"
              },
              {
                "name": "变桨2安全链动作",
                "num": "2",
                "value": "DI1739"
              },
              {
                "name": "变桨3安全链动作",
                "num": "3",
                "value": "DI1740"
              },
              {
                "name": "变桨1电容电压过低",
                "num": "4",
                "value": "DI1325"
              },
              {
                "name": "变桨2电容电压过低",
                "num": "5",
                "value": "DI1326"
              },
              {
                "name": "变桨3电容电压过低",
                "num": "6",
                "value": "DI1327"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "叶轮转速",
                "num": "1",
                "value": "AI012"
              },
              {
                "name": "机舱纵向振动加速度",
                "num": "2",
                "value": "AI321"
              },
              {
                "name": "机舱侧面振动加速度",
                "num": "3",
                "value": "AI322"
              },
              {
                "name": "变桨目标位置1",
                "num": "4",
                "value": "AI002"
              },
              {
                "name": "变桨目标位置2",
                "num": "5",
                "value": "AI003"
              },
              {
                "name": "变桨目标位置3",
                "num": "6",
                "value": "AI004"
              },
              {
                "name": "变桨1轴箱温度",
                "num": "7",
                "value": "AI288",
                "unit": "℃"
              },
              {
                "name": "变桨2轴箱温度",
                "num": "8",
                "value": "AI289",
                "unit": "℃"
              },
              {
                "name": "变桨3轴箱温度",
                "num": "9",
                "value": "AI290",
                "unit": "℃"
              },
              {
                "name": "变桨电容电压1",
                "num": "10",
                "value": "AI294",
                "unit": "V"
              },
              {
                "name": "变桨电容电压2",
                "num": "11",
                "value": "AI295",
                "unit": "V"
              },
              {
                "name": "变桨电容电压3",
                "num": "12",
                "value": "AI296",
                "unit": "V"
              }
            ]
          }
        ],

        "YawInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              {
                "name": "偏航左极限开关反馈",
                "num": "1",
                "value": "DI1110"
              },
              {
                "name": "偏航右极限开关反馈",
                "num": "2",
                "value": "DI1111"
              },
              {
                "name": "偏航动作",
                "num": "3",
                "value": "DI1510"
              },
              {
                "name": "左偏航动作",
                "num": "4",
                "value": "DI1869"
              },
              {
                "name": "右偏航动作",
                "num": "5",
                "value": "DI1870"
              },
              {
                "name": "偏航刹车保护",
                "num": "6",
                "value": "DI1494"
              },
              {
                "name": "软启动器动作",
                "num": "7",
                "value": "DI1875"
              },
              {
                "name": "软启动器使能",
                "num": "8",
                "value": "DI1874"
              },
              {
                "name": "偏航速度过低",
                "num": "9",
                "value": "DI1514"
              },
              {
                "name": "风机在解缆中",
                "num": "10",
                "value": "DI1485"
              },
              {
                "name": "偏航软启动器OK",
                "num": "11",
                "value": "DI1798"
              },
              {
                "name": "左偏航预解缆触发",
                "num": "12",
                "value": "DI1112"
              },
              {
                "name": "右偏航预解缆触发",
                "num": "13",
                "value": "DI1134"
              },
              {
                "name": "偏航接地碳刷报警",
                "num": "14",
                "value": "DI1790"
              }
            ]
          },
          {
            "index": "part2",
            "text": "状态信息",
            "param": [
              {
                "name": "电机1过载保护OK",
                "num": "1",
                "value": "DI1504"
              },
              {
                "name": "电机2过载保护OK",
                "num": "2",
                "value": "DI1505"
              },
              {
                "name": "电机3过载保护OK",
                "num": "3",
                "value": "DI1506"
              },
              {
                "name": "电机4过载保护OK",
                "num": "4",
                "value": "DI1507"
              }
            ]
          },
          {
            "index": "part3",
            "text": "数值信息",
            "param": [
              {
                "name": "风机偏航误差",
                "num": "1",
                "value": "AI357"
              },
              {
                "name": "偏航刹车压力",
                "num": "2",
                "value": "AI323",
                "unit": "bar"
              },
              {
                "name": "解缆状态",
                "num": "3",
                "value": "AI429"
              },
              {
                "name": "风向",
                "num": "4",
                "value": "AI008"
              }
            ]
          }
        ],

        "PressureInfo": [
          {
            "index": "part1",
            "text": "状态信息",
            "param": [
              {
                "name": "液压油液位OK",
                "num": "1",
                "value": "DI1556"
              },
              {
                "name": "液压油温度OK",
                "num": "2",
                "value": "DI1555"
              },
              {
                "name": "刹车磨损报警",
                "num": "3",
                "value": "DI1169"
              },
              {
                "name": "液压泵电机保护",
                "num": "4",
                "value": "DI1557"
              },
              {
                "name": "液压油加热器保护",
                "num": "5",
                "value": "DI1554"
              },
              {
                "name": "滤网堵塞报警S2",
                "num": "6",
                "value": "DI1552"
              },
              {
                "name": "滤网堵塞报警S3",
                "num": "7",
                "value": "DI1553"
              },
              { "num": "8" },
              { "num": "9" },
              { "num": "10" },
              { "num": "11" },
              { "num": "12" },
              { "num": "13" }
            ]
          },
          {
            "index": "part2",
            "text": "电网信息",
            "param": [
              {
                "name": "系统主油路压力",
                "num": "1",
                "value": "AI018",
                "unit": "bar"
              },
              {
                "name": "高速轴刹车压力",
                "num": "2",
                "value": "AI019",
                "unit": "bar"
              }
            ]
          }
        ],

        "RoomInfo": [
          {
            "index": "part1",
            "text": "基本信息",
            "param": [
              {
                "name": "机舱加热器保护正常",
                "num": "1",
                "value": "DI1584"
              },
              {
                "name": "防雷模块正常",
                "num": "2",
                "value": "DI1587"
              },
              {
                "name": "机舱浪涌保护超范",
                "num": "3",
                "value": "DI1202"
              },
              {
                "name": "转子刹车打开",
                "num": "4"
              },
              {
                "name": "机舱UPS电池正常",
                "num": "5",
                "value": "DI1596"
              },
              {
                "name": "机舱变桨供电超范",
                "num": "6"
              },
              {
                "name": "机舱变桨供电OK",
                "num": "7",
                "value": "DI1204"
              },
              {
                "name": "机舱震动X超范",
                "num": "8",
                "value": "DI1205"
              },
              {
                "name": "机舱震动Y超范",
                "num": "9",
                "value": "DI1206"
              },
              {
                "name": "航灯OK保护超范",
                "num": "10",
                "value": "DI1207"
              }
            ]
          },
          {
            "index": "part2",
            "text": "数值信息",
            "param": [
              {
                "name": "机舱温度",
                "num": "1",
                "value": "AI070"
              },
              {
                "name": "机舱外温度",
                "num": "2",
                "value": "AI056"
              },
              {
                "name": "叶片1角度",
                "num": "3",
                "value": "AI002",
                "unit": "度"
              },
              {
                "name": "叶片2角度",
                "num": "4",
                "value": "AI003",
                "unit": "度"
              },
              {
                "name": "叶片3角度",
                "num": "5",
                "value": "AI004",
                "unit": "度"
              },
              {
                "name": "风速",
                "num": "6",
                "value": "AI022",
                "unit": "m/s"
              },
              {
                "name": "功率",
                "num": "7",
                "value": "AI130",
                "unit": "kwh"
              },
              {
                "name": "机舱位置",
                "num": "8",
                "value": "AI034",
                "unit": "度"
              },
              {
                "name": "发电机转速",
                "num": "9",
                "value": "AI128",
                "unit": "rmp"
              }
            ]
          }
        ],

        "OutIn": [
          {
            "index": "part1",
            "text": "叶轮装置",
            "param": [
              {
                "name": "叶片1偏角",
                "plcName": "blade1_angle",
                "value": "AI002"
              },
              {
                "name": "叶片2偏角",
                "plcName": "blade2_angle",
                "value": "AI003"
              },
              {
                "name": "叶片3偏角",
                "plcName": "blade3_angle",
                "value": "AI004"
              }
            ]
          },
          {
            "index": "part2",
            "text": "发电机",
            "param": [
              {
                "name": "U1绕组温度",
                "plcName": "u1_circling_temperature",
                "value": "AI045"
              },
              {
                "name": "U2绕组温度",
                "plcName": "u2_circling_temperature",
                "value": "AI046"
              }
            ]
          }
        ],

        "Fault": {
          "index": "part1",
          "text": "总故障",
          "param": [
            {
              "name": "变频器故障",
              "plcName": "plcName",
              "value": "DI1537"
            },
            {
              "name": "高速轴刹车磨损故障",
              "plcName": "plcName",
              "value": "DI1550"
            },
            {
              "name": "Pcs断路器故障",
              "plcName": "plcName",
              "value": "DI1253"
            },
            {
              "name": "偏航驱动故障",
              "plcName": "plcName",
              "value": "DI1502"
            }
          ]
        }

      }

    }
  }
  constructor() {
    this.getStationInfos = this.getStationInfos.bind(this);
  }

  /* 获取场站信息 */
  getStationInfos(windturbine) {
    var val = this.Codes[windturbine.stationId][windturbine.modelId];
    var codes = "";
    val.BasicInfo.forEach(element => {
      console.log(element);
      element.param.forEach(itm => {
        codes += itm.code + ",";
      });
    });
    val.codes = codes;
    return val;
  }
}